$(document).ready(function(){
	$('textarea.tiny_mce_editor').tinymce({
		script_url : tiny_mce_path+'/addons/tiny_mce/tiny_mce.js',
		mode : "specific_textareas",
		editor_selector : "tiny_mce_editor",
		theme : "advanced",
		language : "fa",
		directionality : "rtl",
		plugins : "safari,pagebreak,style,layer,table,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template",
		theme_advanced_buttons1 : "newdocument,|,bold,italic,underline,strikethrough,|,justifyright,justifycenter,justifyleft,justifyfull,rtl,ltr,|,bullist,numlist,undo,redo,link,unlink",
		theme_advanced_buttons2 : "image,media,|,fontselect,fontsizeselect,|,forecolor,backcolor,|,sub,sup,|,pasteword,code",
		theme_advanced_buttons3 : "",
		theme_advanced_toolbar_location : "top",
		theme_advanced_toolbar_align : "center",
		theme_advanced_statusbar_location : "bottom",
		theme_advanced_resizing : true,
		theme_advanced_styles : "Style 1=style1;Style 2=style2;Style 3=Style3;Small=small",
		setup:function(tiny)
		{
			EDITOR.NewEditor(
								tiny.id,
								function(text){tiny.execCommand("mceInsertContent",false,text);},
								function(text){tiny.setContent(text)},
								function(){return tiny.getContent()},
								function(pre,after,func)
								{
									var text=tiny.selection.getContent();
									if(typeof func=="function")
										text=func(func);
									tiny.selection.setContent(pre+text+after);
								}
			);
			tiny.onActivate.add(function(){EDITOR.ActivateEditor(tiny.id)});
		}
	});
});