<?php
/*
	Copyright © Eleanor CMS
	URL: http://eleanor-cms.ru, http://eleanor-cms.com
	E-mail: support@eleanor-cms.ru
	Developing: Alexander Sunvas*
	Interface: Rumin Sergey
	=====
	*Pseudonym. See addons/copyrights/info.txt for more information.
*/
if(!defined('CMS'))
	die('Попытка взлома?');
class Template extends BaseClass
{
	public
		$theme,
		$theme_path='templates',
		$php_eval_values=array(),
		$def_tpl_folder='Template',#Папка шаблона модуля по-умолчанию
		$ob_on_php=true,#Включить ob_ фукнции автоматического преобразования? Если нет - отловить все echo - задача кодера!
		$default_replace=array(),

		$configs=array(),#Конфиги тем оформления
		$classes=array(),#Классы тем оформления
		$theme_files=array(),#Дамп файлов из папки темы
		$getted_files=array();#Кеш файлов из папки темы

	public function DoPhp($params)
	{static $theme_var;
		$Mainclass=&$this->Mainclass;
		$result='';
		extract($this->php_eval_values);
		ob_start();
		eval($params[1]);
		$result.=ob_get_contents();
		ob_end_clean();
		return $result;
	}

	public function ReplaceAll($text,$addon='')
	{
		$arr=$this->AllVars($addon);
		if(!empty($this->configs[$this->theme]))
			foreach($this->configs[$this->theme] as $k=>&$v)
				if(!isset($arr['CONFIG_'.$k]))
					$arr['CONFIG_'.$k]=$v;
		$text=self::ExecHtmlLogic($text,$arr);
		foreach($arr as $k=>$v)
		{
			if($scalar=is_scalar($v))
				$text=str_replace('{'.$k.'}',$v,$text);
			$oldfirstpos=$firstpos=0;
			while(false!==$firstpos=strpos($text,'{'.$k,$firstpos) and false!==$endpos=strpos($text,'}',$firstpos) and $endpos-$firstpos<30)
			{
				$klen=mb_strlen($k);
				$next_let=mb_substr($text,$firstpos+$klen+1,1);
				if(trim($next_let,'=')!='')
				{
					++$firstpos;
					continue;
				}
				$params=mb_substr($text,$firstpos+$klen+1,$endpos-$firstpos-$klen-1);
				$params=trim($params);
				switch(mb_substr($params,0,1))
				{
					case '=':
						if($scalar)
						{
							$num=(int)substr($params,1);
							if($num>0)
								$v=Strings::CutStr($v,$num);
						}
						else
							$v='ERROR';
					break;
					case '.':
						if($scalar)
							$v='ERROR';
						else
						{
							$params=trim($params,'.');
							$params=explode('.',$params);
							foreach($params as &$param)
								if(is_array($v) and isset($v[$param]))
									$v=$v[$param];
								else
								{
									$v='NOT FOUND';
									break;
								}
						}
					break;
					default:
						if(!$scalar)
							$v='ERROR';
				}
				$text=substr_replace($text,$v,$firstpos,$endpos-$firstpos+1);
				if($firstpos==$oldfirstpos)
					++$firstpos;
				$oldfirstpos=$firstpos;
			}
		}
		if(strpos($text,'{%PHP')!==false)
			$text=preg_replace_callback('#{%PHP(.+?)%}#s',array(&$this,'DoPhp'),$text);
		return $text;
	}

	public function GetClass($classname,$create_obj=true)
	{
		if(!isset($this->classes[$classname]))
		{
			if(!$module_name=$this->Mainclass->GetModVal('int_name'))
				$module_name=$this->Mainclass->GetModVal('name');
			$path=$this->Mainclass->FormatPath($this->theme_path.DIRECTORY_SEPARATOR.$this->theme.DIRECTORY_SEPARATOR.$module_name.DIRECTORY_SEPARATOR.'Classes').DIRECTORY_SEPARATOR.$classname.'.php';
			if(!is_file($path))
				do
				{
					if(is_file($path=$this->Mainclass->FormatPath($this->theme_path.DIRECTORY_SEPARATOR.$this->theme.DIRECTORY_SEPARATOR.'Classes').DIRECTORY_SEPARATOR.$classname.'.php'))
						break;
					if($this->def_tpl_folder)
						if(is_file($path=$this->Mainclass->FormatPath($this->Mainclass->GetModVal('path').DIRECTORY_SEPARATOR.$this->def_tpl_folder.DIRECTORY_SEPARATOR.'Classes').DIRECTORY_SEPARATOR.$classname.'.php'))
							break;
					return false;
				}while(false);
			include $path;
			if(!isset($class_name))
				$class_name=$classname;
			$this->classes[$classname]=$create_obj ? new $class_name($this->Mainclass) : true;
		}
		return $this->classes[$classname];
	}

	public function GetThemeFile($filename,$replace=array(),$unique='',$_Path='',$cache=true)
	{
		if(!$this->theme)
			throw new EE($this->Mainclass->lang['main']['no_theme']);

		if(!isset($this->configs[$this->theme]))
		{
			if(file_exists($this->Mainclass->root_path.DIRECTORY_SEPARATOR.$this->theme_path.DIRECTORY_SEPARATOR.$this->theme.DIRECTORY_SEPARATOR.'CONFIG.php'))
				include $this->Mainclass->root_path.DIRECTORY_SEPARATOR.$this->theme_path.DIRECTORY_SEPARATOR.$this->theme.DIRECTORY_SEPARATOR.'CONFIG.php';
			if(isset($config) and is_array($config))
			{
				$this->configs[$this->theme]=$config;
				unset($config);
			}
			else
				$this->configs[$this->theme]=array();
		}
		if(!$module_name=$this->Mainclass->GetModVal('int_name'))
			$module_name=$this->Mainclass->GetModVal('name');

		#Парсим шаблоны, которые находятся в папке модуля.
		if($this->def_tpl_folder)
		{
			$_Path_def=$this->Mainclass->FormatPath($this->Mainclass->GetModVal('path').DIRECTORY_SEPARATOR.$this->def_tpl_folder.DIRECTORY_SEPARATOR.$_Path);
			$c_path_def=crc32($_Path_def);
			if(!isset($this->theme_files[$c_path_def]))
			{
				$this->theme_files[$c_path_def]=glob($_Path_def.'*.{html,php}',GLOB_MARK | GLOB_BRACE);
				if($this->theme_files[$c_path_def])
					foreach($this->theme_files[$c_path_def] as &$v)
						$v=substr(strrchr($v,DIRECTORY_SEPARATOR),1);#Оставляем только имена файлов
				else
					$this->theme_files[$c_path_def]=array();
			}
		}
		else
			$this->theme_files[$c_path_def=0]=array();
/*
		#Которые находятся в папке оформления и в папке module_[имя модуля]
		$_Path_mod=$this->Mainclass->FormatPath($this->theme_path.DIRECTORY_SEPARATOR.$this->theme.DIRECTORY_SEPARATOR.'module_'.$module_name.DIRECTORY_SEPARATOR.$_Path).DIRECTORY_SEPARATOR;
		$c_path_mod=crc32($_Path_mod);
		if(!isset($this->theme_files[$c_path_mod]))
		{
			$this->theme_files[$c_path_mod]=glob($_Path_mod.'*.{html,php}',GLOB_MARK | GLOB_BRACE);
			if($this->theme_files[$c_path_mod])
				foreach($this->theme_files[$c_path_mod] as &$v)
					$v=substr($v,strrpos($v,DIRECTORY_SEPARATOR)+1);#Оставляем только имена файлов
		}
*/

		#Которые находятся просто в папке.
		$_Path=$this->Mainclass->FormatPath($this->theme_path.DIRECTORY_SEPARATOR.$this->theme.DIRECTORY_SEPARATOR.$_Path.DIRECTORY_SEPARATOR);
		$c_path=crc32($_Path);
		if(!isset($this->theme_files[$c_path]))
		{
			$this->theme_files[$c_path]=glob($_Path.'*.{html,php}',GLOB_MARK | GLOB_BRACE);
			if($this->theme_files[$c_path])
				foreach($this->theme_files[$c_path] as &$v)
					$v=substr(strrchr($v,DIRECTORY_SEPARATOR),1);#Оставляем только имена файлов
			else
				$this->theme_files[$c_path]=array();
		}

		$_F=false;
		if($unique)
		{
			if(!is_array($unique))
				$unique=array($unique);
			foreach($unique as &$v)
			{
				$_F=$filename.'-'.$module_name.'-'.$v.'.html';
				if(/*in_array($_F,$this->theme_files[$c_path_mod]) and*$_Path=$_Path_mod or */in_array($_F,$this->theme_files[$c_path]) or in_array($_F,$this->theme_files[$c_path_def]) and $_Path=$_Path_def)
					break;
				$_F=$filename.'-'.$module_name.'-'.$v.'.php';
				if(/*in_array($_F,$this->theme_files[$c_path_mod]) and $_Path=$_Path_mod or */in_array($_F,$this->theme_files[$c_path]) or in_array($_F,$this->theme_files[$c_path_def]) and $_Path=$_Path_def)
					break;
				$_F=$filename.'--'.$v.'.html';
				if(/*in_array($_F,$this->theme_files[$c_path_mod]) and $_Path=$_Path_mod or */in_array($_F,$this->theme_files[$c_path]) or in_array($_F,$this->theme_files[$c_path_def]) and $_Path=$_Path_def)
					break;
				$_F=$filename.'--'.$v.'.php';
				if(/*in_array($_F,$this->theme_files[$c_path_mod]) and $_Path=$_Path_mod or */in_array($_F,$this->theme_files[$c_path]) or in_array($_F,$this->theme_files[$c_path_def]) and $_Path=$_Path_def)
					break;
				$_F=false;
			}
		}
		if(!$_F)
			do
			{
				$_F=$filename.'-'.$module_name.'.html';
				if(/*in_array($_F,$this->theme_files[$c_path_mod]) and $_Path=$_Path_mod or */in_array($_F,$this->theme_files[$c_path]) or in_array($_F,$this->theme_files[$c_path_def]) and $_Path=$_Path_def)
					break;
				$_F=$filename.'-'.$module_name.'.php';
				if(/*in_array($_F,$this->theme_files[$c_path_mod]) and $_Path=$_Path_mod or */in_array($_F,$this->theme_files[$c_path]) or in_array($_F,$this->theme_files[$c_path_def]) and $_Path=$_Path_def)
					break;
				$_F=$filename.'.html';
				if(/*in_array($_F,$this->theme_files[$c_path_mod]) and $_Path=$_Path_mod or */in_array($_F,$this->theme_files[$c_path]) or in_array($_F,$this->theme_files[$c_path_def]) and $_Path=$_Path_def)
					break;
				$_F=$filename.'.php';
				if(/*in_array($_F,$this->theme_files[$c_path_mod]) and $_Path=$_Path_mod or */in_array($_F,$this->theme_files[$c_path]) or in_array($_F,$this->theme_files[$c_path_def]) and $_Path=$_Path_def)
					break;
				if($filename=='index')
					throw new EE('Template file <strong>'.$_Path.$filename.'</strong> not found!');
				else
					return '';
			}while(false);
		if(substr($_F,-1)=='l')
		{
			$_F_c=crc32($_Path.$_F);
			if(!isset($this->getted_files[$_F_c]))
				$this->getted_files[$_F_c]=file_get_contents($_Path.$_F);
			$r=$this->ReplaceAll($this->getted_files[$_F_c],$replace);
			if(!$cache)
				unset($this->getted_files[$_F_c]);
		}
		else
		{
			$Mainclass=&$this->Mainclass;
			$theme=$this->theme_path.'/'.$this->theme;
			extract($this->AllVars($replace),EXTR_PREFIX_INVALID,'i');
			if($this->configs[$this->theme])
				$CONFIG=$this->configs[$this->theme];
			if($this->ob_on_php)
				ob_start();
			include $_Path.$_F;
			if($this->ob_on_php)
			{
				$r=ob_get_contents();
				ob_end_clean();
			}
			else
				$r='';
		}
		return $r;
	}

	public function StaticReplace($code,$addon='')
	{
		preg_match_all('#{%STATIC(.+?)%}#',$code,$statics);
		if($statics[1])
		{
			$statics[1]=array_unique($statics[1]);
			foreach($statics[1] as &$v)
				$v=$this->GetThemeFile(trim($v),$addon,'','Static');
			$code=str_replace($statics[0],$statics[1],$code);
			if(strpos($code,'{%STATIC')!==false)
				$code=$this->StaticReplace($code,$addon);
		}
		return $code;
	}

	public function GetImage($path)
	{static $images=array();
		$c_path=crc32($path);
		if(isset($images[$c_path]))
			return $images[$c_path];
		if(is_file($this->Mainclass->root_path.$this->theme_path.'/'.$this->theme.'/images/'.$path))
			return $images[$c_path]=$this->theme_path.'/'.$this->theme.'/images/'.$path;
		elseif(is_file($this->Mainclass->root_path.'images/'.$path))
			return $images[$c_path]='images/'.$path;
		else
			return $images[$c_path]='';
	}

	public function ErrorScreen($content,$unique='')
	{
		$screen=$this->Message($content,$unique);
		if($this->Mainclass->decor_gen)
			return $screen;
		else
		{
			$this->Mainclass->ShowDecoration();
			die($screen);
		}
	}

	public function RedirectScreen($href,$times=5,$file='',$addon='',$unique='')
	{global $head_addon;
		$href=ELEANOR_PROTOCOL.$this->Mainclass->domain.$this->Mainclass->site_path.'/'.$href;
		if(!$this->Mainclass->decor_gen)
			$head_addon.='<meta http-equiv="refresh" content="'.$times.'; url='.$href.'" />';
		if($file)
		{
			$arr=array(
						'times'=>$times,
						'href'=>$href,
			);
			if(is_array($addon))
				$arr=$addon+$arr;
			return $this->GetThemeFile($file,$arr,$unique);
		}
	}

	public function ModuleMenu($logo='',$menu='',$search='',$addon='',$unique='')
	{
		$arr=array(
					'logo'=>$logo,
					'menu'=>$menu,
					'search'=>$search
		);
		if(is_array($addon))
			$arr=$addon+$arr;
		return $this->GetThemeFile('Menu',$arr,$unique);
	}

	public function Message($text,$type='warning',$unique='')
	{
		return $this->GetThemeFile('Message',array('type'=>$type,'text'=>$text,'title'=>isset($this->Mainclass->lang['main'][$type]) ? $this->Mainclass->lang['main'][$type] : ''),$unique);
	}

	public function OpenTable($unique='')
	{
		return $this->GetThemeFile('TableOpen','',$unique);
	}

	public function CloseTable($unique='')
	{
		return $this->GetThemeFile('TableClose','',$unique);
	}

	public function Title($text,$unique='')
	{
		return $this->GetThemeFile('Title',array('text'=>$text),$unique);
	}

	public function Block($title,$content,$type='',$unique='',$addon='')
	{
		$arr=array(
					'title'=>$title,
					'content'=>$content
		);
		if(is_array($addon))
			$arr=$addon+$arr;
		$r=$this->GetThemeFile('Block'.$type,$arr,$unique);
		return $r ? $r : '<fieldset><legend>'.$title.'</legend>'.$content.'</fieldset>';
	}

	public function BaseTable($title,$content,$down,$addon='',$unique='')
	{
		$arr=array(
					'title'=>$title,
					'content'=>$content,
					'down'=>$down
		);
		if(is_array($addon))
			$arr=$addon+$arr;
		return $this->GetThemeFile('Base',$arr,$unique);
	}

	public function Rating($id,$unique='')
	{
		return $this->GetThemeFile('Rating',array('id'=>$id),$unique);
	}

	final private function AllVars($addon='')
	{
		$arr=array(
					'theme'=>$this->theme_path.'/'.$this->theme,
					#Внимание! САМОВОЛЬНОЕ УБИРАНИЕ КОПИРАЙТОВ ЧРЕВАТО БЛОКИРОВКОЙ НА ОФИЦИАЛЬНОМ САЙТЕ СИСТЕМЫ И ПРЕСЛЕДУЕТСЯ ПО ЗАКОНУ!
					#КОПИРАЙТЫ МЕНЯТЬ/ПРАВИТЬ НЕЛЬЗЯ! СОВСЕМ!! ОНИ ДОЛЖНЫ ОСТАВАТЬСЯ НЕИЗМЕННЫМИ ДО БИТА!
					'copyright'=>(!$this->Mainclass->vars['site_copyrights_remove'] or $this->Mainclass->service_id==1) ? '<b>Powered by <a href="http://eleanor-cms.ru/" style="text-decoration:none" target="_blank">CMS Eleanor</a></b>, Eleanor Persian project by <a href="http://azaranmobin.com/" style="text-decoration:none" target="_blank">Azaran Mobin ® Corporation ™</a>  ©  '.date('Y') : '',
		);
		if(is_array($this->default_replace))
			$arr+=$this->default_replace;
		if(is_array($addon))
			$arr+=array_change_key_case($addon,CASE_LOWER);
		return $arr;
	}
#Статические функции
	public static function ExecHtmlLogic($text,array $replace)
	{
		foreach($replace as $k=>$v)
		{
			$oldfirstpos=$firstpos=0;
			while(false!==$firstpos=strpos($text,'['.$k.']') and false!==$lastpos=strpos($text,'[/'.$k.']',$firstpos))
			{
				$klen=mb_strlen($k);
				if(false!==$midpos=strpos($text,'[-'.$k.']',$firstpos) and $midpos<$lastpos)
				{
					if($v)
					{
						$text=substr_replace($text,'',$midpos,$lastpos-$midpos+2+$klen*2);
						$text=substr_replace($text,'',$firstpos,$klen+2);#2 - это /] закрывающего тега
					}
					else
					{
						$text=substr_replace($text,'',$lastpos,$klen+3);#3 - это [/] закрывающего тега
						$text=substr_replace($text,'',$firstpos,$midpos-$firstpos+2+$klen*2);#2 - это - ] среднего тега
					}
				}
				elseif($v)
				{
					$text=substr_replace($text,'',$lastpos,$klen+3);#3 - это [/] закрывающего тега
					$text=substr_replace($text,'',$firstpos,$klen+2);#2 - это / ] закрывающего тега
				}
				else
					$text=substr_replace($text,'',$firstpos,$lastpos-$firstpos+3+$klen);#3 - это [/] закрывающего тега
			}
			if($firstpos==$oldfirstpos)
				++$firstpos;
			$oldfirstpos=$firstpos;
		}
		return $text;
	}

	/*
		Функция обработки входящей строки для показа ее в контроле.
		$text - текст.
		$mode:
			0 - текст прогоняется через htmlspecialchars, таким образом мы правим строку в таком виде, в каком мы ее получили.
			1 - текст прогняется сначала через htmlspecialchars_decode, а потом через htmlspecialchars. Таким образом мы правим HTML в таком виде, в котором его видит пользователь. Циферные задания символов как &#93; пользователь правит, а не видит.
			2 - в тексте заменяются только < и > на &lt; и &gt; соответственно.
			3 - Править ХТМЛ в таком виде, в котором его видит пользователь.
	*/
	public static function ControlValue($text,$mode=1)
	{
		if($mode==1)
			$text=htmlspecialchars_decode($text,ENT_QUOTES);
		return $mode==2 ? str_replace(array('<','>'),array('&lt;','&gt;'),$text) : htmlspecialchars($text,ENT_QUOTES,ELEANOR_CHARSET,$mode<3);
	}

	public static function Check($name,$checked=false,$addon='')
	{
		if(preg_match('/value="[^"]*"/i',$addon)==0)
			$addon.=' value="1"';
		$addon=$addon ? ' '.trim($addon) : '';
		return '<input type="checkbox" name="'.$name.'"'.$addon.($checked ? ' checked="checked"' : '').' />';
	}

	public static function Text($name,$value='',$addon='',$mode=1)
	{
		if($addon)
		{
			if(preg_match('/rows="[[:digit:]]+"/i',$addon)==0)
				$addon.=' rows="5"';
			if(preg_match('/cols="[[:digit:]]+"/i',$addon)==0)
				$addon.=' cols="20"';
			if(preg_match('/class="[^"]*"/i',$addon)==0)
				$addon.=' class="textarea"';
		}
		else
			$addon='rows="5" cols="20" class="textarea"';
		$addon=$addon ? ' '.trim($addon) : '';
		return '<textarea name="'.$name.'"'.$addon.'>'.self::ControlValue($value,$mode).'</textarea>';
	}

	public static function Radio($name,$value='1',$checked=false,$addon='',$mode=1)
	{
		$addon=$addon ? ' '.trim($addon) : '';
		return '<input name="'.$name.'" type="radio" value="'.self::ControlValue($value,$mode).'"'.$addon.' '.($checked ? 'checked="checked"' : '').' />';
	}

	public static function Radios($name,$values,$nchecked=-1,$delimeter=' ',$addons='',$mode=1)
	{
		if(!is_array($values))
			return;
		$result=array();
		$n=0;
		foreach($values as $k=>$v)
			$result[]=self::Radio($name,$k,$z=($nchecked===$n++ or $nchecked==$k),(is_array($addons) ? $addons[$k] : $addons),$mode).' '.trim($v);
		return join($delimeter,$result);
	}

	public static function Edit($name,$value='',$addon='',$mode=1)
	{
		if(preg_match('/class="[^"]*"/i',$addon)==0)
			$addon.=' class="inputText"';
		$addon=$addon ? ' '.trim($addon) : '';
		return '<input name="'.$name.'" type="text" value="'.self::ControlValue($value,$mode).'"'.$addon.' />';
	}

	public static function Button($value=EL_LANG_SAVE,$type='submit',$addon='',$mode=2)
	{
		$name='save';
		if(preg_match('/name="([^"]*)"/i',$addon,$m)>0)
		{
			$name=$m[1];
			$addon=str_replace($m[0],'',$addon);
		}
		if(preg_match('/class="[^"]*"/i',$addon)==0)
			$addon.=' class="button"';
		return self::Control($name,$type,$value,$addon,$mode);
	}

	public static function Control($name,$type,$value='',$addon='',$mode=2)
	{
		$addon=$addon ? ' '.trim($addon) : '';
		return '<input name="'.$name.'" type="'.$type.'" value="'.self::ControlValue($value,$mode).'"'.$addon.' />';
	}

	public static function Option($text,$value='',$selected=false,$addon='',$mode=2)
	{
		$addon=$addon ? ' '.trim($addon) : '';
		if($value!=='')
			$value=' value="'.trim(self::ControlValue($value,2)).'"';
		return '<option'.$value.($selected ? ' selected="selected"' : '').$addon.'>'.self::ControlValue($text,$mode).'</option>';
	}

	public static function Optgroup($label,$options,$addon='')
	{
		$addon=$addon ? ' '.trim($addon) : '';
		$label=' label="'.self::ControlValue($label,2).'"';
		return '<optgroup'.$label.$addon.'>'.$options.'</optgroup>';
	}

	public static function Select($name,$options='',$addon='')
	{
		if(preg_match('/size="[[:digit:]]+"/i',$addon)==0)
			$addon.=' size="1"';
		if(preg_match('/class="[^"]*"/i',$addon)==0)
			$addon.=' class="select"';
		if(!$options)
		{
			$options=self::Option('',0);
			$addon.=' disabled="disabled"';
		}
		$addon=$addon ? ' '.trim($addon) : '';
		return '<select name="'.$name.'"'.$addon.'>'.$options.'</select>';
	}

	public static function Item($name,$options='',$size=10,$addon='')
	{
		$addon=$addon ? ' '.trim($addon) : '';
		return self::Select($name,$options,'size="'.(int)$size.'"'.$addon);
	}

	public static function Items($name,$options='',$size=10,$addon='')
	{
		$addon=$addon ? ' '.trim($addon) : '';
		if(strncmp(substr($name,-2),'[]',2)!=0)
			$name.='[]';
		return self::Select($name,$options,'size="'.(int)$size.'" multiple="multiple"'.$addon);
	}

}
?>