<?php
/*
	Copyright © Eleanor CMS
	URL: http://eleanor-cms.ru, http://eleanor-cms.com
	E-mail: support@eleanor-cms.ru
	Developing: Alexander Sunvas*
	Interface: Rumin Sergey
	=====
	*Pseudonym. See addons/copyrights/info.txt for more information.
*/

if(!defined('INSTALL'))
	die('Hacking attempt!?');
	require "date.php";
switch($mainlang)
{
	case 'persian':
		$insert['blocks']="INSERT INTO `{$prefix}blocks` VALUES
		(NULL, 1, '', 'file', 'اطلاعات ماژول', '', 'addons/adminka/blocks/block_module_info.php', '', '', 'center', 0, 1, '', 0, 'd', '.all', 1, 0, '', '', 0, ''),
		(NULL, 1, '', 'file', 'آمار کاربران', '', 'addons/adminka/blocks/block_who_online.php', '', '', 'right', 1, 1, 'whooline', 0, 'd', '.general', 0, 0, '', '', 0, 'title_english=Who online'),
		(NULL, 1, '', 'file', 'هدایت کننده', '', 'addons/adminka/blocks/block_navigation.php', '', '1', 'right', 0, 1, 'menu', 0, 'd', '.all', 0, 0, '', '', 0, 'title_english=Navigation'),
		(NULL, 1, '', 'file', 'منو', '', 'addons/adminka/blocks/block_menu.php', '', '1', 'left', 0, 1, '', 0, 'd', '.all', 1, 0, '', '', 0, 'title_english=Menu'),
		(NULL, 2, '', 'file', 'آمار کاربران', '', 'addons/blocks/block_who_online.php', '', '', 'right', 3, 1, 'whoonline', 0, 'd', '.general', 0, 0, '', '', 0, 'title_english=Who online'),
		(NULL, 2, '', 'file', 'برچسب', '', 'addons/blocks/block_tags_cloud.php', '', '', 'right', 2, 1, '', 0, 'd', '1,12', 0, 0, '', '', 0, 'title_english=Tags cloud'),
		(NULL, 2, '', 'file', 'موضوعات', '', 'addons/blocks/block_categories.php', '', '', 'left', 0, 1, 'categories', 0, 'd', '1,6,10,12', 0, 0, '', '', 0, 'Categories'),
		(NULL, 2, '', 'file', 'بلوک مدیریت', '', 'addons/adminka/blocks/block_header_for_user.php', '', '', 'admin', 0, 1, '', 0, 'd', '.all', 1, 0, '', '', 0, ''),
		(NULL, 2, '', 'file', 'تقویم', '', 'addons/blocks/block_calendar.php', '', '', 'right', 0, 1, 'calendar', 0, 'd', '1,10,12,13', 0, 0, '', '', 0, 'title_english=Calendar'),
		(NULL, 2, '', 'file', 'منوی بالا', '', 'addons/menus/multiline.php', '', '', 'top_menu', 0, 1, '', 0, 'd', '.all', 1, 0, '', '', 0, 'menuid=1'),
		(NULL, 2, '', 'file', 'منوی پایین', '', 'addons/menus/line_menu.php', '', '', 'bottom_menu', 0, 1, '', 0, 'd', '.all', 1, 0, '', '', 0, 'menuid=1·format={a}<b>{text}</b></a>'),
		(NULL, 2, '', 'file', 'لینک های مفید', '', 'addons/menus/block_menu.php', '', '', 'left', 1, 1, '', 0, 'd', '.all', 0, 0, '', '', 0, 'menuid=8·title_english=Support Link'),
		(NULL, 2, '', 'file', 'نظر سنجی', '', 'modules/voting/block_voting.php', '', '', 'right', 4, 1, '', 0, 'd', '.all', 0, 0, '', '', 0, 'title_english=Voting')";

		$insert['blocktypes']="INSERT INTO `{$prefix}blocktypes` VALUES
		('1,2', 'left', 'بلوک چپ -&gt;'),
		('1,2', 'center', 'بلوک بالا وسط'),
		('1,2', 'right', '&lt;- بلوک راست'),
		('2', 'center_down', 'بلوک پایین وسط'),
		('1', 'header', 'بلوک مدیریتی بالا'),
		('2', 'top_banner', 'بنر بالا'),
		('2', 'admin', 'سرصفحه مدیریت'),
		('2', 'top_menu', 'منو بالا'),
		('2', 'bottom_menu', 'منو پایین')";

		$insert['groups']="INSERT INTO `{$prefix}groups` VALUES
		(1, 'مدیریت', '<span style=\"color:red\"><b>', '</b></span>', 1, 1, 1, 1, 0, 0),
		(2, 'کاربران', '', '', 1, 0, 0, 0, 100, 0),
		(3, 'مهمان ها', '', '', 1, 0, 0, 0, -1, 0),
		(4, 'موتورهای جستجوگر', '', '', 0, 0, 0, 0, 100, 0),
		(5, 'بدون فعالیت', '<span style=\"color:gray\">', '</span>', 0, 0, 0, 0, 0, 0),
		(6, 'قفل شده', '', '', 0, 0, 0, 0, 0, 1)";

		$insert['modules']="INSERT INTO `{$prefix}modules` VALUES
		(NULL, ',1,3,6,2,', 'news', 'اخبار', 'مدیریت اخبار سایت شما', 0, 'modules/news', 1, 'index.php', '', '', 'news-%.png', 1, '', '', 0, 0, -1, 'plugins.php'),
		(NULL, ',1,2,', 'page', 'صفحات اضافی', 'اضافه کردن صفحات اضافی به سایت', 0, 'modules/static', 1, 'index.php', '', '', 'static-%.png', 1, '', '', 0, 0, -1, 'plugins.php'),
		(NULL, ',1,2,', 'mainpage', 'صفحه اصلی', 'ماژول هایی راکه میخواهید در صفحه اصلی اضافه شود.', 1, 'modules/mainpage', 1, 'index.php', '', '', 'mainpage-%.png', 1, '', '', 0, 0, -1, ''),
		(NULL, ',1,2,', 'errors', 'صفحات خطا', 'پیکر بندی صفحات خطا در سایت شما (404,403, و غیره...)', 0, 'modules/errors', 1, 'index.php', '', '', 'errors-%.png', 1, '', '', 0, 0, -1, ''),
		(NULL, ',1,2,', 'contacts', 'تماس ها', 'بازخورد', 0, 'modules/contacts', 1, 'index.php', '', '', 'contacts-%.png', 1, '', '', 0, 0, -1, ''),
		(NULL, ',1,3,6,2,', 'faq', 'سوال و جواب', 'ايجاد سوال و جواب (سوالات متداول)', 0, 'modules/faq', 1, 'index.php', '', '', 'faq-%.png', 1, '', '', 0, 0, -1, 'plugins.php'),
		(NULL, ',2,', 'search', 'جستجو', '', 0, 'modules/search', 0, 'index.php', '', '', '', 1, '', '', 0, 0, -1, ''),
		(NULL, ',1,2,', 'menu', 'منو', 'مدیریت کردن منو ها', 0, 'modules/menu', 1, 'index.php', '', '', 'menu-%.png', 1, '', '', 0, 0, -1, ''),
		(NULL, ',1,3,2,', 'account', 'حساب کاربری', 'صفحه تنظیمات حساب کاربری', 0, 'modules/account', 1, 'index.php', '', '', 'account-%.png', 1, '', '', 0, 0, -1, ''),
		(NULL, ',1,3,6,2,', 'files', 'فایل ها', 'مدیریت فایل های سایت', 0, 'modules/files', 1, 'index.php', '', '', 'files-%.png', 1, '', '', 0, 0, -1, 'plugins.php'),
		(NULL, ',1,3,2,', 'voting', 'نظر سنجی', 'مدیریت نظر سنجی ها', 0, 'modules/voting', 1, 'index.php', '', '', 'voting-%.png', 1, '', '', 0, 0, -1, 'plugins.php'),
		(NULL, ',1,3,6,2,', 'blogs', 'بلاگ ها', 'مدیریت بلاگ های سایت', 0, 'modules/blogs', 1, 'index.php', '', '', 'blogs-%.png', 1, '', '', 0, 0, -1, 'plugins.php'),
		(NULL, ',1,3,6,2,', 'shop', 'فروشگاه', 'مدیریت فروشگاه سایت', 0, 'modules/shop', 1, 'index.php', '', '', 'shop-%.png', 1, '', '', 0, 0, -1, 'plugins.php')";
	break;
	case 'english':
		$insert['blocks']="INSERT INTO `{$prefix}blocks` VALUES
		(NULL, 1, '', 'file', 'Module info', '', 'addons/adminka/blocks/block_module_info.php', '', '', 'center', 0, 1, '', 0, 'd', '.all', 1, 0, '', '', 0, ''),
		(NULL, 1, '', 'file', 'Who is online', '', 'addons/adminka/blocks/block_who_online.php', '', '', 'right', 1, 1, 'whooline', 0, 'd', '.general', 0, 0, '', '', 0, 'title_persian=آمار کاربران'),
		(NULL, 1, '', 'file', 'Navigation', '', 'addons/adminka/blocks/block_navigation.php', '', '1', 'right', 0, 1, 'menu', 0, 'd', '.all', 0, 0, '', '', 0, 'title_persian=هدایت کننده'),
		(NULL, 1, '', 'file', 'Menu', '', 'addons/adminka/blocks/block_menu.php', '', '1', 'left', 0, 1, '', 0, 'd', '.all', 1, 0, '', '', 0, 'title_persian=منو'),
		(NULL, 2, '', 'file', 'Who is online', '', 'addons/blocks/block_who_online.php', '', '', 'right', 3, 1, 'whoonline', 0, 'd', '.general', 0, 0, '', '', 0, 'title_persian=آمار کاربران'),
		(NULL, 2, '', 'file', 'Tag cloud', '', 'addons/blocks/block_tags_cloud.php', '', '', 'right', 2, 1, '', 0, 'd', '1,12', 0, 0, '', '', 0, 'title_persian=برچسب ها'),
		(NULL, 2, '', 'file', 'Categories', '', 'addons/blocks/block_categories.php', '', '', 'left', 0, 1, 'categories', 0, 'd', '1,6,10,12', 0, 0, '', '', 0, 'Categories'),
		(NULL, 2, '', 'file', 'Block admin', '', 'addons/adminka/blocks/block_header_for_user.php', '', '', 'admin', 0, 1, '', 0, 'd', '.all', 1, 0, '', '', 0, ''),
		(NULL, 2, '', 'file', 'Calendar', '', 'addons/blocks/block_calendar.php', '', '', 'right', 0, 1, 'calendar', 0, 'd', '1,10,12', 0, 0, '', '', 0, 'title_persian=تقویم'),
		(NULL, 2, '', 'file', 'Top menu', '', 'addons/menus/line_menu.php', '', '', 'top_menu', 0, 1, '', 0, 'd', '.all', 1, 0, '', '', 0, 'menuid=1·format=<li>{a}<b>{text}</b></a></li>'),
		(NULL, 2, '', 'file', 'Bottom menu', '', 'addons/menus/multiline.php', '', '', 'bottom_menu', 0, 1, '', 0, 'd', '.all', 1, 0, '', '', 0, 'menuid=1'),
		(NULL, 2, '', 'file', 'Support', '', 'addons/menus/block_menu.php', '', '', 'left', 1, 1, '', 0, 'd', '.all', 0, 0, '', '', 0, 'menuid=8·title_persian=لینک های مفید'),
		(NULL, 2, '', 'file', 'Voting', '', 'modules/voting/block_voting.php', '', '', 'right', 4, 1, '', 0, 'd', '.all', 0, 0, '', '', 0, 'title_persian=نظر سنجی')";

		$insert['blocktypes']="INSERT INTO `{$prefix}blocktypes` VALUES
		('1,2', 'left', 'Left blocks'),
		('1,2', 'center', 'Upper central blocks'),
		('1,2', 'right', 'Right blocks'),
		('2', 'center_down', 'Lower central blocks'),
		('1', 'header', 'Upper admin block'),
		('2', 'top_banner', 'Top banner'),
		('2', 'admin', 'Admin header'),
		('2', 'top_menu', 'Top menu'),
		('2', 'bottom_menu', 'Bottom menu')";

		$insert['groups']="INSERT INTO `{$prefix}groups` VALUES
		(1, 'Administrators', '<span style=\"color:red\"><b>', '</b></span>', 1, 1, 1, 1, 0, 0),
		(2, 'Users', '', '', 1, 0, 0, 0, 100, 0),
		(3, 'Guests', '', '', 1, 0, 0, 0, -1, 0),
		(4, 'Search engines bots', '', '', 0, 0, 0, 0, 100, 0),
		(5, 'Not activated', '<span style=\"color:gray\">', '</span>', 0, 0, 0, 0, 0, 0),
		(6, 'Banned', '', '', 0, 0, 0, 0, 0, 1)";

		$insert['modules']="INSERT INTO `{$prefix}modules` VALUES
		(NULL, ',1,3,6,2,', 'news', 'News', 'Management news your site', 0, 'modules/news', 1, 'index.php', '', '', 'news-%.png', 1, '', '', 0, 0, -1, 'plugins.php'),
		(NULL, ',1,2,', 'page', 'Static pages', 'Module for create static pages.', 0, 'modules/static', 1, 'index.php', '', '', 'static-%.png', 1, '', '', 0, 0, -1, 'plugins.php'),
		(NULL, ',1,2,', 'mainpage', 'Homepage', 'Constructor homepage site', 1, 'modules/mainpage', 1, 'index.php', '', '', 'mainpage-%.png', 1, '', '', 0, 0, -1, ''),
		(NULL, ',1,2,', 'errors', 'Error pages', 'Configuring error pages your site (404,403, etc...)', 0, 'modules/errors', 1, 'index.php', '', '', 'errors-%.png', 1, '', '', 0, 0, -1, ''),
		(NULL, ',1,2,', 'contacts', 'Contacts', 'Feedback', 0, 'modules/contacts', 1, 'index.php', '', '', 'contacts-%.png', 1, '', '', 0, 0, -1, ''),
		(NULL, ',1,3,6,2,', 'faq', 'Questions and answers', 'Creating a FAQ', 0, 'modules/faq', 1, 'index.php', '', '', 'faq-%.png', 1, '', '', 0, 0, -1, 'plugins.php'),
		(NULL, ',2,', 'search', 'Search', '', 0, 'modules/search', 0, 'index.php', '', '', '', 1, '', '', 0, 0, -1, ''),
		(NULL, ',1,2,', 'menu', 'Menu', 'Management menu', 0, 'modules/menu', 1, 'index.php', '', '', 'menu-%.png', 1, '', '', 0, 0, -1, ''),
		(NULL, ',1,3,2,', 'account', 'User account', 'Page settings account user', 0, 'modules/account', 1, 'index.php', '', '', 'account-%.png', 1, '', '', 0, 0, -1, ''),
		(NULL, ',1,3,6,2,', 'files', 'Files', 'Management files site', 0, 'modules/files', 1, 'index.php', '', '', 'files-%.png', 1, '', '', 0, 0, -1, 'plugins.php'),
		(NULL, ',1,3,2,', 'voting', 'Voting', 'Management voting on site', 0, 'modules/voting', 1, 'index.php', '', '', 'voting-%.png', 1, '', '', 0, 0, -1, 'plugins.php'),
		(NULL, ',1,3,6,2,', 'blogs', 'Blogs', 'Management blogs on site', 0, 'modules/blogs', 1, 'index.php', '', '', 'blogs-%.png', 1, '', '', 0, 0, -1, 'plugins.php'),
		(NULL, ',1,3,6,2,', 'shop', 'Shop', 'Management shop site', 0, 'modules/shop', 1, 'index.php', '', '', 'shop-%.png', 1, '', '', 0, 0, -1, 'plugins.php')";
	break;
}

$insert['config']="INSERT INTO `{$prefix}config` VALUES
(1, 1, 'edit', 'site_name', 0, 1, 0, 1, 1),
(2, 1, 'edit', 'site_defis', 0, 1, 1, 1, 1),
(3, 1, 'text', 'site_description', 0, 1, 2, 1, 1),
(4, 1, 'text', 'site_keywords', 1, 1, 3, 1, 1),
(5, 1, 'edit', 'site_domain', 0, 1, 4, 1, 0),
(6, 1, 'check', 'site_hard_domain', 1, 1, 5, 1, 0),
(7, 1, 'check', 'gzip', 0, 1, 6, 1, 0),
(8, 1, 'edit', 'gzip_level', 1, 1, 7, 1, 0),
(9, 1, 'check', 'furl', 0, 1, 8, 1, 0),
(10, 1, 'check', 'trans_url', 0, 1, 9, 1, 0),
(11, 1, 'edit', 'url_static_delimeter', 0, 1, 10, 1, 0),
(12, 1, 'edit', 'url_static_defis', 0, 1, 11, 1, 0),
(13, 1, 'edit', 'url_static_ending', 0, 1, 12, 1, 0),
(14, 1, 'edit', 'url_rep_space', 1, 1, 13, 1, 0),
(15, 1, 'check', 'modules_autoload', 0, 1, 14, 1, 0),
(16, 1, 'check', 'site_closed', 0, 1, 15, 1, 0),
(17, 1, 'editor', 'site_close_mes', 0, 1, 16, 1, 1),
(18, 1, 'check', 'multilang', ".($languages ? '1, 1' : '0, 0').", 17, 1, 0),
(19, 1, 'select', 'show_status', 0, 1, 18, 1, 0),

(20, 2, 'edit', 'cookie_save_time', 0, 1, 0, 1, 0),
(21, 2, 'edit', 'cookie_domain', 0, 1, 1, 1, 0),
(22, 2, 'edit', 'cookie_prefix', 0, 1, 2, 1, 0),
(23, 2, 'edit', 'cookie_path', 1, 1, 3, 1, 0),
(24, 2, 'check', 'cookie_stronghold', 0, 1, 4, 1, 0),

(25, 3, 'user', 'guest_group', 1, 1, 0, 1, 0),
(26, 3, 'check', 'bots_enable', 0, 1, 1, 1, 0),
(27, 3, 'user', 'bot_group', 0, 1, 2, 1, 0),
(28, 3, 'text', 'bots_list', 0, 1, 3, 1, 0),

(29, 4, 'edit', 'locale', 0, 1, 0, 1, 0),
(30, 4, 'select', 'time_zone', 1, 1, 1, 1, 0),
(31, 4, 'edit', 'time_correction', 0, 1, 2, 1, 0),

(32, 5, 'check', 'login_antibrute', 0, 1, 0, 1, 0),
(33, 5, 'edit', 'login_antibrute_attemps_cnt', 0, 1, 1, 1, 0),
(34, 5, 'edit', 'login_antibrute_time', 0, 1, 2, 1, 0),
(35, 5, 'edit', 'login_session_time', 1, 1, 3, 1, 0),
(36, 5, 'edit', 'noavatar', 0, 1, 4, 1, 0),
(37, 5, 'edit', 'account_options_link', 0, 1, 5, 1, 0),
(38, 5, 'edit', 'account_register_link', 0, 1, 6, 1, 0),
(39, 5, 'edit', 'account_passlost_link', 1, 1, 7, 1, 0),
(40, 5, 'check', 'allow_bookmarks', 0, 0, 8, 1, 0),
(41, 5, 'text', 'login_time_online', 0, 1, 9, 1, 0),
(42, 5, 'user', 'templates', 0, 0, 10, 1, 0),

(43, 6, 'text', 'blocked_nicks', 0, 1, 0, 1, 0),
(44, 6, 'text', 'blocked_emails', 0, 1, 1, 1, 0),
(45, 6, 'edit', 'max_uploaded_file_size', 1, 1, 2, 1, 0),
(46, 6, 'text', 'blocked_ips', 0, 1, 3, 1, 0),
(47, 6, 'edit', 'blocked_message', 1, 1, 4, 1, 0),
(48, 6, 'check', 'captcha_off', 0, 1, 5, 1, 0),
(49, 6, 'edit', 'captcha_length', 0, 1, 6, 1, 0),
(50, 6, 'edit', 'captcha_allowed_symbols', 0, 1, 7, 1, 0),
(51, 6, 'edit', 'captcha_width', 0, 1, 8, 1, 0),
(52, 6, 'edit', 'captcha_height', 0, 1, 9, 1, 0),
(53, 6, 'edit', 'captcha_fluctuation', 0, 1, 10, 1, 0),
(54, 6, 'check', 'captcha_no_spaces', 0, 1, 11, 1, 0),
(55, 6, 'edit', 'captcha_quality', 1, 1, 12, 1, 0),
(56, 6, 'check', 'download_catch_wrong_referrer', 0, 1, 13, 1, 0),
(57, 6, 'check', 'download_catch_no_session', 0, 1, 14, 1, 0),
(58, 6, 'edit', 'download_redirect', 1, 1, 15, 1, 0),
(59, 6, 'check', 'watermark', 0, 1, 16, 1, 0),
(60, 6, 'edit', 'watermark_types', 0, 1, 17, 1, 0),
(61, 6, 'edit', 'watermark_string', 0, 1, 18, 1, 0),
(62, 6, 'edit', 'watermark_image', 0, 1, 19, 1, 0),
(63, 6, 'edit', 'watermark_left', 0, 1, 20, 1, 0),
(64, 6, 'edit', 'watermark_top', 0, 1, 21, 1, 0),
(65, 6, 'edit', 'watermark_alpha', 0, 1, 22, 1, 0),

(66, 7, 'check', 'errors_show_critical', 0, 1, 0, 1, 0),
(67, 7, 'text', 'errors_critical_message', 1, 1, 1, 1, 0),
(68, 7, 'edit', 'errors_log_file', 0, 1, 4, 1, 0),
(69, 7, 'edit', 'exceptions_log_file', 0, 1, 5, 1, 0),
(70, 7, 'edit', 'site_errors_log_file', 0, 1, 6, 1, 0),
(71, 7, 'edit', 'db_errors_log_file', 0, 1, 7, 1, 0),
(72, 7, 'edit', 'errors_file_max_size', 0, 1, 8, 1, 0),

(73, 8, 'radio', 'mail_method', 1, 1, 0, 1, 0),
(74, 8, 'edit', 'mail_from', 0, 1, 1, 1, 0),
(75, 8, 'select', 'mail_priority', 0, 1, 2, 1, 0),
(76, 8, 'check', 'mail_reply_enabled', 0, 1, 3, 1, 0),
(77, 8, 'edit', 'mail_reply', 0, 1, 4, 1, 0),
(78, 8, 'check', 'mail_notification_enabled', 0, 1, 5, 1, 0),
(79, 8, 'edit', 'mail_notification', 0, 1, 6, 1, 0),
(80, 8, 'edit', 'mail_mailer', 1, 1, 7, 1, 0),
(81, 8, 'edit', 'mail_smtp_user', 0, 1, 8, 1, 0),
(82, 8, 'edit', 'mail_smtp_pass', 0, 1, 9, 1, 0),
(83, 8, 'edit', 'mail_smtp_host', 0, 1, 10, 1, 0),
(84, 8, 'edit', 'mail_smtp_port', 0, 1, 11, 1, 0),

(85, 9, 'user', 'editor_type', 0, 1, 0, 1, 0),
(86, 9, 'text', 'bad_words', 0, 1, 1, 1, 0),
(87, 9, 'edit', 'bad_words_replace', 0, 1, 2, 1, 0),
(88, 9, 'edit', 'max_word_length', 0, 1, 3, 1, 0),
(89, 9, 'check', 'anti_directlink', 0, 0, 4, 1, 0),
(90, 9, 'check', 'autoparse_urls', 0, 0, 5, 1, 0),

(91, 10, 'edit', 'rss_image', 0, 1, 0, 1, 0),

(92, 11, 'select', 'account_reg_type', 0, 1, 0, 1, 0),
(93, 11, 'select', 'account_pass_rec_t', 0, 1, 1, 1, 0),
(94, 11, 'edit', 'reg_act_hours', 0, 1, 2, 1, 0),
(95, 11, 'edit', 'avatar_bytes', 0, 1, 3, 1, 0),
(96, 11, 'edit', 'user_nick_length', 0, 1, 4, 1, 0),
(97, 11, 'edit', 'avatar_size', 0, 1, 5, 1, 0),
(98, 11, 'check', 'register_off', 0, 1, 6, 1, 0),

(99, 12, 'edit', 'site_license_key', 0, 1, 0, 1, 0),
(100, 12, 'edit', 'site_copyrights_remove', 1, 1, 1, 1, 0),

(101, 13, 'select', 'comments_view', 0, 1, 0, 1, 0),
(102, 13, 'edit', 'comments_per_page', 0, 1, 1, 1, 0),
(103, 13, 'edit', 'comments_time_limit', 0, 1, 2, 1, 0),
(104, 13, 'check', 'comments_captcha', 0, 1, 3, 1, 0),
(105, 13, 'check', 'comments_karma', 0, 1, 4, 1, 0),
(106, 13, 'check', 'comments_own', 0, 1, 5, 1, 0),
(107, 13, 'edit', 'comments_own_time', 0, 1, 6, 1, 0),
(108, 13, 'edit', 'comments_anonimus', 0, 1, 7, 1, 0),
(109, 13, 'edit', 'comments_guest', 0, 1, 8, 1, 0),
(110, 13, 'check', 'comments_spam', 0, 1, 9, 1, 0),
(111, 13, 'user', 'comments_editor', 0, 1, 10, 1, 0),

(112, 14, 'edit', 'm_news_per_page', 0, 0, 0, 1, 0),
(113, 14, 'edit', 'm_news_per_page_general', 0, 0, 1, 1, 0),
(114, 14, 'edit', 'm_news_rss_per_page', 0, 0, 2, 1, 0),
(115, 14, 'check', 'm_news_ncg', 0, 0, 3, 1, 0),
(116, 14, 'check', 'm_news_add', 0, 0, 4, 1, 0),
(117, 14, 'check', 'm_news_upload', 0, 0, 5, 1, 0),
(118, 14, 'check', 'm_news_af', 0, 0, 6, 1, 0),
(119, 14, 'edit', 'm_news_search', 1, 0, 7, 1, 0),
(120, 14, 'edit', 'm_news_category_ending', 0, 0, 8, 1, 0),
(121, 14, 'edit', 'm_news_ending', 0, 0, 9, 1, 0),
(122, 14, 'check', 'm_news_long_url', 1, 0, 10, 1, 0),
(123, 14, 'check', 'm_news_rating', 0, 0, 11, 1, 0),
(124, 14, 'edit', 'm_news_voting_time', 0, 0, 12, 1, 0),
(125, 14, 'edit', 'm_news_rating_steps', 0, 0, 13, 1, 0),
(126, 14, 'check', 'm_news_vote_general', 0, 0, 14, 1, 0),

(127, 15, 'edit', 'm_faq_per_page', 0, 0, 0, 1, 0),
(128, 15, 'edit', 'm_faq_rss_per_page', 0, 0, 1, 1, 0),
(129, 15, 'check', 'm_faq_add', 0, 0, 2, 1, 0),
(130, 15, 'edit', 'm_faq_search', 1, 0, 3, 1, 0),
(131, 15, 'edit', 'm_faq_category_ending', 0, 0, 4, 1, 0),
(132, 15, 'edit', 'm_faq_ending', 0, 0, 5, 1, 0),
(133, 15, 'check', 'm_faq_long_url', 1, 0, 6, 1, 0),

(134, 16, 'edit', 'm_static_delimeter', 0, 0, 0, 1, 0),
(135, 16, 'edit', 'm_static_ending', 0, 0, 1, 1, 0),
(136, 16, 'edit', 'm_static_general', 0, 0, 2, 1, 0),

(137, 17, 'edit', 'm_contacts_fsize', 0, 0, 0, 1, 0),
(138, 17, 'text', 'm_contacts_email', 0, 0, 1, 1, 0),
(139, 17, 'check', 'm_contacts_sel', 0, 0, 2, 1, 0),
(140, 17, 'edit', 'm_contacts_prefix', 0, 0, 3, 1, 0),

(141, 21, 'check', 'img_preview', 0, 0, 0, 1, 0),
(142, 21, 'edit', 'img_preview_types', 0, 0, 1, 1, 0),
(143, 21, 'edit', 'img_preview_width', 0, 0, 2, 1, 0),

(144, 18, 'edit', 'm_files_per_page', 0, 0, 0, 1, 0),
(145, 18, 'edit', 'm_files_per_page_general', 0, 0, 1, 1, 0),
(146, 18, 'edit', 'm_files_rss_per_page', 0, 0, 2, 1, 0),
(147, 18, 'check', 'm_files_ncg', 0, 0, 3, 1, 0),
(148, 18, 'check', 'm_files_add', 0, 0, 4, 1, 0),
(149, 18, 'check', 'm_files_upload', 0, 0, 5, 1, 0),
(150, 18, 'check', 'm_files_af', 0, 0, 6, 1, 0),
(151, 18, 'edit', 'm_files_search', 1, 0, 7, 1, 0),
(152, 18, 'edit', 'm_files_category_ending', 0, 0, 8, 1, 0),
(153, 18, 'edit', 'm_files_ending', 0, 0, 9, 1, 0),
(154, 18, 'check', 'm_files_long_url', 1, 0, 10, 1, 0),
(155, 18, 'check', 'm_files_rating', 0, 0, 11, 1, 0),
(156, 18, 'edit', 'm_files_voting_time', 0, 0, 12, 1, 0),
(157, 18, 'edit', 'm_files_rating_steps', 0, 0, 13, 1, 0),
(158, 18, 'check', 'm_files_vote_general', 0, 0, 14, 1, 0),

(159, 19, 'edit', 'm_voting_per_page', 0, 0, 0, 1, 0),
(160, 19, 'edit', 'm_voting_per_page_general', 0, 0, 1, 1, 0),
(161, 19, 'check', 'm_voting_add', 0, 0, 2, 1, 0),
(162, 19, 'edit', 'm_voting_time', 1, 0, 3, 1, 0),
(163, 19, 'edit', 'm_voting_category_ending', 0, 0, 4, 1, 0),
(164, 19, 'edit', 'm_voting_ending', 0, 0, 5, 1, 0),
(165, 19, 'check', 'm_voting_long_url', 1, 0, 6, 1, 0),

(166, 20, 'select', 'm_blogs_bcr', 0, 0, 0, 1, 0),
(167, 20, 'edit', 'm_blogs_blim', 1, 0, 1, 1, 0),
(168, 20, 'edit', 'm_blogs_cat_ending', 0, 0, 2, 1, 0),
(169, 20, 'edit', 'm_blogs_ending', 1, 0, 3, 1, 0),
(170, 20, 'edit', 'm_blogs_per_page', 0, 0, 4, 1, 0),
(171, 20, 'edit', 'm_blogs_ppgen', 0, 0, 5, 1, 0),
(172, 20, 'edit', 'm_blogs_userpp', 1, 0, 8, 1, 0),
(173, 20, 'edit', 'm_blogs_rss_per_page', 0, 0, 6, 1, 0),
(174, 20, 'check', 'm_blogs_rating', 0, 0, 9, 1, 0),
(175, 20, 'edit', 'm_blogs_voting_time', 0, 0, 10, 1, 0),
(176, 20, 'edit', 'm_blogs_rating_steps', 0, 0, 11, 1, 0),
(177, 20, 'check', 'm_blogs_vote_general', 0, 0, 12, 1, 0),
(178, 20, 'edit', 'm_blogs_search', 0, 0, 7, 1, 0),

(179, 22, 'edit', 'm_shop_per_page', 0, 0, 0, 1, 0),
(180, 22, 'edit', 'm_shop_per_page_general', 0, 0, 1, 1, 0),
(181, 22, 'edit', 'm_shop_rss_per_page', 0, 0, 2, 1, 0),
(182, 22, 'check', 'm_shop_ncg', 0, 0, 3, 1, 0),
(183, 22, 'check', 'm_shop_add', 0, 0, 4, 1, 0),
(184, 22, 'check', 'm_shop_upload', 0, 0, 5, 1, 0),
(185, 22, 'check', 'm_shop_af', 0, 0, 6, 1, 0),
(186, 22, 'edit', 'm_shop_search', 1, 0, 7, 1, 0),
(187, 22, 'edit', 'm_shop_category_ending', 0, 0, 8, 1, 0),
(188, 22, 'edit', 'm_shop_ending', 0, 0, 9, 1, 0),
(189, 22, 'check', 'm_shop_long_url', 1, 0, 10, 1, 0),
(190, 22, 'check', 'm_shop_rating', 0, 0, 11, 1, 0),
(191, 22, 'edit', 'm_shop_voting_time', 0, 0, 12, 1, 0),
(192, 22, 'edit', 'm_shop_rating_steps', 0, 0, 13, 1, 0),
(193, 22, 'check', 'm_shop_vote_general', 0, 0, 14, 1, 0);";

$insert['config_groups']="INSERT INTO `{$prefix}config_groups` VALUES
(1, 'general options', 1, 'public', 0),
(2, 'cookies', 1, 'system', 2),
(3, 'bots', 1, 'login', 3),
(4, 'locale', 1, 'system', 1),
(5, 'accounting', 1, 'login', 4),
(6, 'security', 1, 'blocker', 6),
(7, 'errors', 1, 'system', 7),
(8, 'mailer', 1, 'mailer', 8),
(9, 'editor', 1, 'editor', 9),
(10, 'rss', 1, 'rss', 11),
(11, 'reg', 1, 'reg', 11),
(12, 'license', 1, 'system', 5),
(13, 'comments', 1, 'comments', 10),
(14, 'module_news', 0, 'module_news', 13),
(15, 'module_faq', 0, 'module_faq', 14),
(16, 'module_static', 0, 'module_static', 15),
(17, 'module_contacts', 0, 'module_contacts', 16),
(18, 'module_files', 0, 'module_files', 17),
(19, 'module_voting', 0, 'module_voting', 18),
(20, 'module_blogs', 0, 'module_blogs', 19),
(21, 'files', 0, 'files', 20),
(22, 'module_shop', 0, 'module_shop', 21),
(23, 'shop', 0, 'shop', 22)";

if(in_array('persian',$languages))
	$insert['config_l(farsi)']="INSERT INTO `{$prefix}config_l` VALUES
(1, 'persian', 'نام وب سایت', '', '{$sitename}', '{$sitename}', '', '', ''),
(2, 'persian', 'کاراکتر جداکننده', '', ' - ', ' - ', '', '', ''),
(3, 'persian', 'توضیحات درباره سایت', '', 'این وب سایت بر پایه سیستم الینور راه اندازی شده است', 'این وب سایت بر اساس سیستم الینور ساخته شده است', '', '', ''),
(4, 'persian', 'کلمات کلیدی', '', 'Websites,engine,PHP, MySQL, AJAX', 'Websites,engine, PHP, MySQL, AJAX', '', '', ''),
(5, 'persian', 'آدرس اصلی', 'باید بدون وارد کردن http:// باشد !', '{$Mainclass->domain}', '{$Mainclass->domain}', 'if (\$save)\r\n\$value=preg_replace(''#^(?:http://)*(.+?)/*\$#i'',''\\\\1'',\$value);', '', 'آدرس سایت'),
(6, 'persian', 'آدرس نمونه', 'By switching on this option, base href and another fields will accept value printed above. By ignoring the fact what real domain we have loaded website from.', '0', '0', '', '', ''),
(7, 'persian', 'فعال سازی GZIP ؟', 'این خاصیت برای کاربران اجازه میدهد که از این خاصیت در سایت استفاده نمایند.', '1', '1', '', '', 'GZIP فشرده ساز'),
(8, 'persian', 'میزان فشرده سازی', 'مقداری مابین 0 تا 9 وارد نمایید', '4', '4', 'if (\$save)\r\n{\$value=abs((int)\$value);\r\nif (\$value>9) \$value=9;\r\n}', '', ''),
(9, 'persian', ' فعال کردن سئو (seo) لینک ها؟', '', '{$furl}', '1', '', '', 'ایستا URL'),
(10, 'persian', 'انتقال به لینک ها ؟', 'By switching on this option, files and content URL-s ', '0', '0', '', '', ''),
(11, 'persian', 'مقادیر جدا کننده', 'هر چیزی به جز حروف الفبا.', '/', '/', 'if (\$save and preg_match(''/[''.Strings::ALL.'']/i'',\$value)>0)\r\n\$error=''هرچیزی به غیر از حروف الفبا مورد قبول است !'';', '', ''),
(12, 'persian', 'مقدار جدا کننده', 'هرچیزی به غیر از حروف الفبا مورد قبول است.', '_', '_', 'if (\$save and preg_match(''/[''.Strings::ALL.'']/i'',\$value)>0)\r\n\$error=''هرچیزی به غیر از حروف الفبا مورد قبول است !'';', '', ''),
(13, 'persian', 'لینک خاتمه دهنده', 'هرچیزی به غیر از حروف الفبا مورد قبول است !', '.html', '.html', 'if (\$save and preg_match(''/^[''.Strings::ALL.'']/i'',\$value)>0)\r\n\$error=''هرچیزی به غیر از حروف الفبا مورد قبول است !'';', '', ''),
(14, 'persian', 'جانشین سازی اشکال در FURL', 'این خاصیّت امکان جانشین کردن اشکال در آدرس را فراهم میکند !', '-', '-', '', '', ''),
(15, 'persian', 'فعال کردن بارگذاری خودکار ماژول ها', 'این خاصیت با - +2 این حالات به صورت پیشفرض میباشند !', '0', '0', '', '', 'تنظیمات دیگر'),
(16, 'persian', 'غیر فعال کردن وب سایت', 'آیا شما مایلید سایت بسته شود ؟ توجه داشته باشید در صورت بسته بودن سایت هیچ نوع کاربری به جز کاربر مدیر نمیتواند وارد سایت شود !', '0', '0', '', '', ''),
(17, 'persian', 'دلیل بستن سایت', 'دلیل بسته شدن سایت ! توجه درصورت باز کردن سایت این حالت به صورت خودکار از حافظه پاک خواهد شد !', '', '', '', '', ''),
(18, 'persian', 'فعال كردن زبان انگليسي سايت؟', '', '0', '0', 'if(\$save and \$value and count(\$Mainclass->langs)<2)\$value=0;', '', ''),
(19, 'persian', 'ساختار صفحات سریع', 'در این حالت صفحات توسط سیستم فشرده میشوند و سرعت بارگذاری سایت بیشتر میشود !', '2', '2', '', '0=نمایش ندادن·1=نمایش فقط برای مدیر·2=نمایش برای همه', ''),

(20, 'persian', 'کوکی های موجود در طی این روز ها :', '', '31536000', '31536000', 'if (\$save)\r\n\$value=(int)\$value*86400;\r\nelse\r\n\$value=bcdiv((int)\$value,86400);', '', ''),
(21, 'persian', 'دومین و کوکیز ها', 'نکته : استفاده کنید از .نام دومین.com برای کوکیز های عمومی. وارد کنید * اگر حالت چند دومین را دارا میباشد ', '.*', '.*', '', '', 'تنظیمات کوکیز ها'),
(22, 'persian', 'پیشوند کوکیز ها', 'اجازه برای نصب پیشوند برای کوکیز ها', 'CP', '', '', '', ''),
(23, 'persian', 'پیشوند کوکیز ها', 'شاخه مهم برای کوکیز ها', '/', '/', '', '', ''),
(24, 'persian', 'آیا مایلید سایت شما از حالت محافظت کننده از کوکیز ها استفاده نماید', 'در صورت فعال کردن این خاصیّت سیستم به صورت خودکار آنهارا شناسایی و از بین خواهد برد !', '1', '1', '', '', 'تنظیمات بیشتر'),

(25, 'persian', 'گروه مهمان ها', 'تقاضای حق در گروه...', '3', '3', 'if (\$save)\r\n\$value=(int)\$Mainclass->POST[''guest_group''];', '{%PHP\r\n\$gg_options='''';\r\n\$gg_res=\$Mainclass->Db->Query(''SELECT `id`, `title` FROM `prefix_groups` ORDER BY `title` ASC'',__file__,__line__);\r\nwhile(\$gg_arr=\$Mainclass->Db->Fetch_assoc(\$gg_res))\r\n	\$gg_options.=Template::Option(\$gg_arr[''title''],\$gg_arr[''id''],\$gg_arr[''id'']==\$value);\r\necho Template::Select(''guest_group'',\$gg_options);\r\n%}', ''),
(26, 'persian', 'آیا بوتهاي جستجوگر در بخش افراد آنلاين نشان داده شود؟', 'آیا میخواهید حالت نمایش دهنده بوتر ها فعال شود؟', '1', '1', '', '', 'تنظیمات بوتر های جستجوگر'),
(27, 'persian', 'گروه بوتهای جستجوگر', 'درخواست حق در بوتر ها', '4', '3', 'if (\$save)\r\n\$value=(int)\$Mainclass->POST[''bot_group''];', '{%PHP\r\n\$bg_options='''';\r\n\$bg_res=\$Mainclass->Db->Query(''SELECT `id`, `title` FROM `prefix_groups` ORDER BY `title` ASC'',__file__,__line__);\r\nwhile(\$bg_arr=\$Mainclass->Db->Fetch_assoc(\$bg_res))\r\n	\$bg_options.=Template::Option(\$bg_arr[''title''],\$bg_arr[''id''],\$bg_arr[''id'']==\$value);\r\necho Template::Select(''bot_group'',\$bg_options);\r\n%}', ''),
(28, 'persian', 'دیتابیس بوتر های جستجوگر', '', 'google=Google Bot,slurp@inktomi=Hot Bot,archive_org=Archive.org Bot,Ask Jeeves=Ask Jeeves Bot,Lycos=Lycos Bot,WhatUSeek=What You Seek Bot,ia_archiver=IA.Archiver Bot,GigaBlast=Gigablast Bot,Gigabot=Gigablast Bot,Yandex=Yandex Bot,Yahoo!=Yahoo Bot,Yahoo-MMCrawler=Yahoo-MM Crawler Bot,TurtleScanner=Turtle Scanner Bot,TurnitinBot=Turnitin Bot,ZipppBot=Zippp Bot,StackRambler=Stack Rambler Bot,oBot=oBot,rambler=Rambler Bot,Jetbot=Jet Bot,NaverBot=Naver Bot,libwww=Punto Bot,aport=Aport Bot,msnbot=MSN Bot,MnoGoSearch=Mno Go Search Bot,booch=Booch Bot,Openbot=Openfind Bot,scooter=Altavista Bot,WebCrawler=Fast Bot,WebZIP=WebZIP Bot,GetSmart=Get Smart Bot,grub-client=Grub Client Bot,Vampire=Net Vampire Bot', 'googlebot=Google Bot,slurp@inktomi=Hot Bot,archive_org=Archive.org Bot,Ask Jeeves=Ask Jeeves Bot,Lycos=Lycos Bot,WhatUSeek=What You Seek Bot,ia_archiver=IA.Archiver Bot,GigaBlast=Gigablast Bot,Gigabot=Gigablast Bot,Yandex=Yandex Bot,Yahoo!=Yahoo Bot,Yahoo-MMCrawler=Yahoo-MM Crawler Bot,TurtleScanner=Turtle Scanner Bot,TurnitinBot=Turnitin Bot,ZipppBot=Zippp Bot,StackRambler=Stack Rambler Bot,oBot=oBot,rambler=Rambler Bot,Jetbot=Jet Bot,NaverBot=Naver Bot,libwww=Punto Bot,aport=Aport Bot,msnbot=MSN Bot,MnoGoSearch=Mno Go Search Bot,booch=Booch Bot,Openbot=Openfind Bot,scooter=Altavista Bot,WebCrawler=Fast Bot,WebZIP=WebZIP Bot,GetSmart=Get Smart Bot,grub-client=Grub Client Bot,Vampire=Net Vampire Bot', '\$value=\$save ? str_replace(array(\"\\r\",\"\\n\"),array('''','',''),\$value)\r\n: str_replace('','',\"\\r\\n\",\$value);', '', ''),

(29, 'persian', 'مکان', 'تنظیمات محلی (تعیین زمان و مکان جاری).لطفا اگر در مورد این گزینه اطلاعی ندارید تغییرش ندهید', 'Fa_IR', 'FA_IR', '', '', ''),
(30, 'persian', 'منطقه زمانی', '', 'Asia/Tehran', 'Asia/Tehran', '', 'Pacific/Kwajalein=(GMT -12:00) Eniwetok, Kwajalein·Pacific/Samoa=(GMT -11:00) Midway Island, Samoa·US/Hawaii=(GMT -10:00) Hawaii·US/Alaska=(GMT -9:00) Alaska·Canada/Pacific=(GMT -8:00) Pacific Time (US &amp; Canada)·Canada/Mountain=(GMT -7:00) Mountain Time (US &amp; Canada)·Canada/Central=(GMT -6:00) Central Time (US &amp; Canada), Mexico City·Canada/Eastern=(GMT -5:00) Eastern Time (US &amp; Canada), Bogota, Lima·Canada/Atlantic=(GMT -4:00) Atlantic Time (Canada), Caracas, La Paz·Canada/Newfoundland=(GMT -3:30) Newfoundland·Brazil/East=(GMT -3:00) Brazil, Buenos Aires, Georgetown·Atlantic/Bermuda=(GMT -2:00) Mid-Atlantic·Atlantic/Azores=(GMT -1:00 hour) Azores, Cape Verde Islands·Europe/London=(GMT) Western Europe Time, London, Lisbon, Casablanca·Europe/Paris=(GMT +1:00 hour) Brussels, Copenhagen, Madrid, Paris·Europe/Kiev=(GMT +2:00) Kaliningrad, South Africa, Helsinki, Riga, Kiev, Sofia, Tallin, Vilnius·Europe/Moscow=(GMT +3:00) Baghdad, Riyadh, Moscow, St. Petersburg·Asia/Tehran=(GMT +3:30) Tehran·Asia/Baku=(GMT +4:00) Abu Dhabi, Muscat, Baku, Tbilisi·Asia/Kabul=(GMT +4:30) Kabul·Asia/Tashkent=(GMT +5:00) Ekaterinburg, Islamabad, Karachi, Tashkent·Asia/Calcutta=(GMT +5:30) Bombay, Calcutta, Madras, New Delhi·Asia/Dhaka=(GMT +6:00) Almaty, Dhaka, Colombo·Asia/Bangkok=(GMT +7:00) Bangkok, Hanoi, Jakarta·Asia/Singapore=(GMT +8:00) Beijing, Perth, Singapore, Hong Kong·Asia/Tokyo=(GMT +9:00) Tokyo, Seoul, Osaka, Sapporo, Yakutsk·Australia/Darwin=(GMT +9:30) Adelaide, Darwin·Asia/Vladivostok=(GMT +10:00) Eastern Australia, Guam, Vladivostok·Asia/Magadan=(GMT +11:00) Magadan, Solomon Islands, New Caledonia·Asia/Kamchatka=(GMT +12:00) Auckland, Wellington, Fiji, Kamchatka', ''),
(31, 'persian', 'تصحیح زمان', 'امکان تغییر زمان سرور. مقداری بر حسب ثانیه وارد نمایید, همچنین مقادیر منفی مجاز هستند', '0', '0', 'if (\$save)\r\n \$value=(int)\$value;', '', 'تصحیحات'),

(32, 'persian', 'آیا شما مایل به پشتیبانی از رمز عبور هستید؟', 'درصورت فعال نمودن این خاصیّت اجازه دسترسی هر کاربری به صورت پیشفرض با رمز عبور خواهد بود !', '1', '1', '', '', ''),
(33, 'persian', 'حالت تنظیمات تلاش برای چندین بار', '', '5', '5', 'if (\$save)\r\n\$value=(int)\$value;', '', ''),
(34, 'persian', 'زمان دوره ای...', 'در دقیقه', '600', '600', 'if (\$save)\r\n\$value=(int)\$value*60;\r\nelse\r\n\$value=bcdiv(\$value,60);', '', ''),
(35, 'persian', 'دسترسی کلید زمان انقضا', 'وارد کنید 0 تا این خاصیّت فعال شود', '259200', '259200', '\$value= \$save ? (int)\$value*86400 : bcdiv(\$value,86400);', '', 'تنظیمات ورودی کاربری'),
(36, 'persian', 'آواتار کاربری, بدون آواتار', 'وابسته بودن تصویر به زیر شاخه', 'engine/avatar.png', 'engine/avatar.png', '', '', 'مسیر'),
(37, 'persian', 'لینک تنظیمات حساب کاربری', '', '".($_SESSION['install']['furl'] ? 'account.html' : 'index.php?module=account')."', '".($_SESSION['install']['furl'] ? 'account.html' : 'index.php?module=account')."', '', '', ''),
(38, 'persian', 'لینک ثبت نام', '', '".($_SESSION['install']['furl'] ? 'account/do_register.html' : 'index.php?module=account&do=register')."', '".($_SESSION['install']['furl'] ? 'account/do_register.html' : 'index.php?module=account&do=register')."', '', '', ''),
(39, 'persian', 'لینک بازگردانی رمز عبور', '', '".($_SESSION['install']['furl'] ? 'account/do_passlost.html' : 'index.php?module=account&amp;do_passlost')."', '".($_SESSION['install']['furl'] ? 'account/do_passlost.html' : 'index.php?module=account&amp;do=passlost')."', '', '', ''),
(40, 'persian', 'آیا شما میخواهید آدرس های یادداشت را فعال نمایید؟', 'انتخاب این خاصیّت باعث میشود کاربر قادر به ایجاد و نمایش آدرس های خود در هر صفحه ای از سایت شود', '1', '1', '', '', 'کالاهای مختلف'),
(41, 'persian', 'مدّت جلسه', 'شما میتوانید در این حالت مدت زمان برگزاری یک جلسه را تعیین نمایید <br /><b>Service name=seconds quantity</b><br />', 'admin=900,ajax=300,download=3600,user=900,upload=900,rss=900', 'admin=900,ajax=300,download=3600,user=900,upload=900,rss=900', '\$value=\$save ? str_replace(array(\"\\r\",\"\\n\"),array('''','',''),\$value)\r\n: str_replace('','',\"\\r\\n\",\$value);', '', ''),
(42, 'persian', 'فعال سازی انتخاب قالب؟', 'با انتخاب این گزینه کاربران میتوانند قالب های مورد نظر خود را انتخاب نمایند.', '', '', 'if(\$save)\r\n{\r\n\$value=(isset(\$_POST[''templates'']) and is_array(\$_POST[''templates''])) ? \$_POST[''templates''] : array();\r\n	\$value=\$value ? serialize(\$value) : '''';\r\n}\r\nelse\r\n	\$value=@unserialize(\$value);', '{%PHP\r\n\$func=create_function(''\$Mainclass'',''\$themes=array();\$arr=glob(\$Mainclass->root_path.\$Mainclass->Template->theme_path.\"/*\",GLOB_ONLYDIR);\r\n	foreach(\$arr as &\$v)\r\n	{\r\n		\$name=false;\r\n		\$service=array();\r\n		if(file_exists(\$v.\".php\"))\r\n			include \$v.\".php\";\r\n		if(\$service and is_array(\$service) and !in_array(2,\$service))\r\n			continue;\r\n		\$tpl=basename(\$v);\r\n		if(!\$name)\r\n			\$name=\$tpl;\r\n		\$themes[\$tpl]=\$name;\r\n	}\r\nasort(\$themes,SORT_STRING);\r\n	return \$themes;'');\r\n\$arr=\$func(\$Mainclass);\r\nif(!is_array(\$value))\r\n\$value=array();\r\n\$opts='''';\r\nforeach(\$arr as \$k=>\$v)\r\n		\$opts.=Template::Option(\$v,\$k,in_array(\$k,\$value));\r\n	echo Template::Items(''templates'',\$opts,5);\r\n%}', ''),

(43, 'persian', 'نام های كاربري مسدود شده', 'باید وارد کنید با \",\", با این پوشش قابل استفاده است:<br />* - هر نوع شکل.<br />% - هر نوع شکل', 'slaed, slaed cms, Edmann, DiFor, zigmat', 'slaed, slaed cms, Edmann, DiFor, zigmat', '', '', ''),
(44, 'persian', 'ایمیل های مسدود شده', 'مسدود کننده ایمیل<br />* — هرنوع شکل<br />% — هر نوع شکل', '', '', 'if (\$save)\r\n{\r\n\$value=trim(\$value);\r\n	\$myv=explode('','',\$value);\r\n	if (count(\$myv)>0 and \$value)\r\n		foreach(\$myv as \$v)\r\n			if (strpos(\$v,''@'')===false or strpos(\$v,''.'')===false)\r\n			{\r\n				\$error=''\"@\" or \".\" شکلک ها در ایمیل غیرقابل استفاده هستند'';\r\n			}\r\n}', '', ''),
(45, 'persian', 'حداکثر اندازه فایل برای آپلود', 'مقدار کلی بر اساس KB است', '5242880', '5242880', 'if (\$save)\r\n\$value=(int)\$value*1024;\r\nelse\r\n\$value=bcdiv(\$value,1024);', '', ''),
(46, 'persian', 'مسدود کننده آدرس IP', 'هر آدرسی در خط جدید به صورت مقابل میتواند وارد شود : 87.183.*.*, * - هر مقدار وارد شده \"=\" بعد از وارد کردن آدرس آی پی به صورت زیر قفل میشود <br />87.183.*.*=قابل دسترس نمیباشد ! ', '', '', '', '', 'آدرس IP'),
(47, 'persian', 'پیغام برای مسدود شده', '', '', '', '', '', ''),
(48, 'persian', 'آیا میخواهید این حالت غیر فعّال شود ؟', '', '0', '0', '', '', 'تنظیمات'),
(49, 'persian', 'تنظیمات کمیّت شکلک ها', '', '5', '5', 'if (\$save)\r\n\$value=(int)\$value;', '5', ''),
(50, 'persian', 'شکلک ها', '', '23456789abcdeghkmnpqsuvxyz', '23456789abcdeghkmnpqsuvxyz', '', '23456789abcdeghkmnpqsuvxyz', ''),
(51, 'persian', 'پهنا', 'پهنای تصویر', '120', '120', 'if (\$save)\r\n\$value=(int)\$value;', '', ''),
(52, 'persian', 'ارتفاع', 'ارتفاع تصویر', '60', '60', 'if (\$save)\r\n\$value=(int)\$value;', '', ''),
(53, 'persian', 'اختلال عمودی شکلک ها :', 'انحراف حد اکثر شکلک ها بر اساس پیکس ', '5', '5', 'if (\$save)\r\n\$value=(int)\$value;', '', ''),
(54, 'persian', 'سوئیچ بین شکلک ها', 'این حالت به صورت دستی میباشد', '1', '1', '', '', ''),
(55, 'persian', 'تنظیمات کیفیّت تصاویر JPEG از 1 تا 100', 'کیفیّت بالا به معنی بزرگ نمودن تصویر هم خواهد بود ! ', '90', '90', 'if (\$save)\r\n{\r\n\$value=abs((int)\$value);\r\nif(\$value>100)\r\n\$value=100;\r\n}', '', ''),
(56, 'persian', 'جلوگیری از دانلود از سایتهای دیگر', 'در صورت فعال سازی این خاصیّت حالت دانلود های ناشناخته و جلوگیری از آنها فعال میشود', '1', '1', '', '', 'دانلود فایل از دایرکتوری'),
(57, 'persian', 'جلوگیری از دانلود بدون جلسات', 'بر اساس سوئیچ بر روی ای پی آدرس این عمل شناسایی خواهد شد', '1', '1', '', '', ''),
(58, 'persian', 'بازپرسی صفحات', '', 'http://*/".($_SESSION['install']['furl'] ? 'errors/403.html' : 'index.php?module=errors&url=403')."', 'http://*/".($_SESSION['install']['furl'] ? 'خطاهای/403.html' : 'index.php?module=errors&url=403')."', '', '', ''),
(59, 'persian', 'آیا شما به یک برچسب نیاز دارید ؟', 'آیا برچسبی برای تصاویر انتخابی شما لازم است؟', '1', '1', '', '', 'تنظیمات علامت'),
(60, 'persian', 'انواع فایل ها', 'برای تعیین نوع فایل از کاما استفاده کنید', 'jpg,jpeg,png,bmp,gif', 'jpg,jpeg,png,bmp,gif', 'if (\$save)\r\n\$value=Strings::CleanForExplode(strtolower(\$value));', '', ''),
(61, 'persian', 'خط برچسبها', 'این خط یک لایه برای تصاویر تعین میکند', '© {$sitename}', '© {$sitename}', '', '', ''),
(62, 'persian', 'یا تصاویر برای علامت گذاری', 'برای استفاده مسیر تصویر را وارد نمایید (برای مثال : images/watermrak.jpg) توجه , برچسب ها به صورت خودکار بر رویه تصاویر با سایز کوچک مورد استفاده قرار نمیگیرند', 'images/watermark.png', 'images/watermark.png', 'if (\$save and \$value and !is_file(\$Mainclass->FormatPath(\$value)))\r\n\$error=''نیاز به فایل ایندکس !'';', '', ''),
(63, 'persian', 'وضعیّت افقی (درصدی)', 'وضعیّت علامتها از طرف افقی. یک درصدی را وارد کنید ما بین 0 (لبه چپ) تا 100 (لبه راست) 50 (میانه).', '50', '50', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<0)\r\n\$value=0;\r\nelseif (\$value>100)\r\n\$value=100;\r\n}', '', ''),
(64, 'persian', 'وضعیّت عمودی (درصدی)', 'وضعیّت علامت ها از طرف عمودی. یک درصدی را وارد کنید ما بین 0 (لبه چپ) تا 100 (لبه راست) 50 (میانه).', '7', '50', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<0)\r\n\$value=0;\r\nelseif (\$value>100)\r\n\$value=100;\r\n}', '', ''),
(65, 'persian', 'وضوح علامت ها (درصدی)', '0 - شما نمیتوانید علامت را ببینید ; 100 - بدون وضوح کامل.', '70', '50', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<0)\r\n\$value=0;\r\nelseif (\$value>100)\r\n\$value=100;\r\n}', '', ''),

(66, 'persian', 'نمایش وضعیّت های بحرانی؟', 'بر اساس قوانین تعیین شده \$Mainclass-&gt;ShowDie', '1', '1', '', '', ''),
(67, 'persian', 'یادداشت در زیر حالت های بحرانی:', 'شما میتوانید در این بخش پیغامی برای حالت های بحرانی قرار دهید', 'توقف : خطاهایی که نوشته شده و مدیر به آنها رسیدگی میکند', 'توقف : خطاهایی که یافت شده و مدیر آنها را بررسی خواهد کرد', '', '', ''),
(68, 'persian', 'کد خطا در فایل :', 'کد خطاهای موجود در فایل ها', 'addons/logs/errors.log', 'addons/logs/errors.log', 'if (\$save)\r\n{\r\n\$value=Strings::CleanForExplode(str_replace(''\\\\\\\\'',''/'',\$value),''/'');\r\n}', '', ''),
(69, 'persian', 'فایل های استثنا:', 'فایلهای استثنا موجود', 'addons/logs/exceptions.log', 'addons/logs/exceptions.log', 'if (\$save)\r\n{\r\n\$value=Strings::CleanForExplode(str_replace(''\\\\\\\\'',''/'',\$value),''/'');\r\n}', '', ''),
(70, 'persian', 'فایل های خراب سایت:', 'فایل های خراب موجود در سایت', 'addons/logs/site_errors.log', 'addons/logs/site_errors.log', 'if (\$save)\r\n{\r\n\$value=Strings::CleanForExplode(str_replace(''\\\\\\\\'',''/'',\$value),''/'');\r\n}', '', ''),
(71, 'persian', 'فایل های خراب دیتابیس:', 'فایل های خراب موجود در دیتابیس', 'addons/logs/db_errors.log', 'addons/logs/db_errors.log', 'if (\$save)\r\n{\r\n\$value=Strings::CleanForExplode(str_replace(''\\\\\\\\'',''/'',\$value),''/'');\r\n}', '', ''),
(72, 'persian', 'محدودیّت اندازه فایل :', 'بر اساس kb وارد میشود', '1048576', '1048576', '\$value=\$save ? (int)\$value*1024 : bcdiv((int)\$value,1024);', '', ''),

(73, 'persian', 'حالت ارسال', '', 'mail', 'mail', '', 'mail=استفاده از حالت PHP·smtp=استفاده از حالت SMTP', ''),
(74, 'persian', 'ارسال به ایمیل باکس', 'ایميل باکسی که ارسال شده از طرف؟', '{$email}', '{$email}', 'if (\$save)\r\n{\r\nif (!Functions::CheckeMail(\$value))\r\n\$error='''';\r\n}', '', 'تنظیمات عمومی'),
(75, 'persian', 'الویّت نامه', '1 - بسیار ضروری', '3', '3', '', '1·2·3·4·5', ''),
(76, 'persian', 'آیا شما مایلید ایمیل را دوباره ارسال نمایید؟', 'تعیین عنوان در : <b>Reply-To:</b>', '1', '1', '', '', ''),
(77, 'persian', 'ارسال ایمیل دوباره به آدرس :', 'ارسال بر اساس سوئیچ ؟\" این آدرس در عنوان نمایش داده شود', '{$email}', '{$email}', 'if (\$save)\r\n{\r\nif (!Functions::CheckeMail(\$value))\r\n\$error=''خطا در آدرس ایمیل !'';\r\n}', '', ''),
(78, 'persian', 'آیا شما میخواهید اطلاعاتی درباره نامه داده شود؟', 'حالت تایید کننده نامه خوانده شده', '1', '1', '', '', ''),
(79, 'persian', 'نامه های تایید شده کجا ارسال شوند؟', '', '{$email}', '{$email}', 'if (\$save)\r\n{\r\nif (!Functions::CheckeMail(\$value))\r\n\$error=''آدرس ایمیل درست نمیباشد !'';\r\n}', '', ''),
(80, 'persian', 'شناسایی میلیر', 'این خاصیّت بر اساس این عنوان تنظیم میشود \"X-Mailer:\".', 'Eleanor CMS', 'Eleanor CMS', '', '', ''),
(81, 'persian', 'نام کاربری', 'نام کاربر', '', '', '', '', 'تنظیمات SMTP'),
(82, 'persian', 'رمز عبور', '', '', '', '', '', ''),
(83, 'persian', 'فضا', '', '', '', '', '', ''),
(84, 'persian', 'پورت', '', '25', '25', '', '', ''),

(85, 'persian', 'ویرایشگر پیشفرض', '', '2', '2', 'if (\$save)\r\n\$value=(int)\$Mainclass->POST[''editor_type''];', '{%PHP\r\n\$types='''';\r\nif (!isset(\$Mainclass->Editor))\r\n	\$Mainclass->Loadclass(''classes/others/class_editor.php'');\r\nforeach(\$Mainclass->Editor->editors as \$k=>\$v)	\r\n\$types.=Template::Option(\$v,\$k,\$k==\$value);\r\necho Template::Select(''editor_type'',\$types);%}', ''),
(86, 'persian', 'کلمات ممنوعه', 'جدا کننده کلمات ممنوعه با کاما (برای مثال, fuck you Eduard Laas, suck my balls, bitch, fags get out, dickhead, SLAED - e.g. piece of skunky german shit)', 'slaed, slaed cms, Edmann, DiFor, zigmat', 'slaed, slaed cms, Edmann, DiFor, zigmat', '', '', ''),
(87, 'persian', 'جانشین ساز کلمات ممنوعه', '', '*It\' مانند fu##in censored, dude!*', '*It\'s been fu##in censored, dude!*', '', '', ''),
(88, 'persian', 'حد اکثر یک کلمه', 'بعضی اوقات کاربران در صفحات وب سایت دست دارند کلمات و جملات زائد را حذف نمایند در این صورت بر اساس زیر تنظیم میشوند.', '120', '120', '', '', ''),
(89, 'persian', 'آیا میخواهید حالت حمایت کننده از لینک مستقیم فعال شود؟', 'تغییرات این خاصیّت شامل تمامی لینک ها خواهد بود', '1', '1', '', '', ''),
(90, 'persian', 'آیا میخواهید لینک به صورت خودکار تجزیه شود؟', 'فعال سازی این گزینه شامل تمامی لینک ها خواهد شد.', '1', '1', '', '', ''),

(91, 'persian', 'لوگو RSS', 'نمایش لوگو آر اس اس به صورت های زیر خواهد بود', '', '', 'if (\$save and \$value)\r\n{\r\n\$image=\$Mainclass->FormatPath(\$value);\r\nif (!is_file(\$image))\r\n\$error=''این تصویر وجود ندارد !'';\r\n}', '', ''),

(92, 'persian', 'فعاّل سازی حساب کاربری', '', '1', '1', '', '1=نیاز نیست·2=ارسال به ایمیل', ''),
(93, 'persian', 'بازنگری رمز عبور', '', '1', '1', '', '1=اجازه برای ورود رمز عبور جدید·2=ایجاد خودکار و ارسال به ایمیل', ''),
(94, 'persian', 'زمان انقضائ فعال سازی', '', '24', '24', 'if (\$save)\r\n{\r\n\$value=abs((int)\$value);\r\nif (\$value<1) \$error=''خطا در فعال سازی'';\r\n}', '', ''),
(95, 'persian', 'حد اکثر اندازه فایل آواتار بر اساس کیلوبایت', '', '307200', '307200', '\$value=\$save ? abs((int)\$value)*1024 : \$value/1024;', '', ''),
(96, 'persian', 'حد اکثر طول نام كاربري', '', '15', '15', 'if (\$save)\r\n{\r\n\$value=abs((int)\$value);\r\nif (\$value<5)\r\n\$error=''نام كاربري باید بیشتر از 5 کاراکتر باشد !'';\r\n}', '', ''),
(97, 'persian', 'حداکثر اندازه آواتار', 'مانند نمونه وارد نمایید : پهنا[blank]ارتفاع.', '100 100', '100 100', 'if (\$save and preg_match(''#^\\d+ \\d+\$#'',\$value)==0) \$error=''حالت ورودی غلظ'';', '', 'تاریخ شخصی کاربری'),
(98, 'persian', 'آیا شما مایلید حالت ثبت نام را غیرفعاّل نمایید؟', '', '0', '0', '', '', ''),

(99, 'persian', 'کلید شخصی مديريت محتواي الينور', 'این کلید برای شناساندن کاربر در سیستم مهم است ! <br />برای دریافت این کلید به سایت اصلی سیستم مراجعه نمایید - <a href=\"http://eleanor-cms.ir\" target=\"_blank\">http://eleanor-cms.ir</a>.<br /><br />امکان تغییر یا حذف کلید سیستمی خود را ندارید مگر اینکه فعالیّت های خود را در سیستم کامل نمایید ! ', '', '', 'if (\$save)\r\n    \$value=str_replace(''-'','''',\$value);\r\nelse\r\n    \$value=join(''-'',str_split(\$value,4));', '', ''),
(100, 'persian', 'کد برای حذف حق کپی رایت', 'آیا حق چاپ شما برای سرویس پرداخت شده ؟ — کد خود را برای ارسال وارد نمایید.<br /><br />با حذف حق چاپ شما به صورت غیرقانونی در سایت فعالیّت خواهید کرد ! ', '', '', 'if (\$save)\r\n    \$value=str_replace(''-'','''',\$value);\r\nelse\r\n    \$value=join(''-'',str_split(\$value,4));', '', ''),

(101, 'persian', 'نمایش نظرات', 'نمایش نظرات مرتب شده', '1', '1', '', '1=مرتب شده·2=مستقیم·3=به صورت درختی', ''),
(102, 'persian', 'نظرات هر صفحه', 'توجه داشته باشید در صورت انتخاب حالت نمایشی نظرات از نوع درختی در این حالت صفحه تقسیم بندی خواهد شد ! ', '10', '10', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<=0)\r\n\$error=''خالی'';\r\n}', '', ''),
(103, 'persian', 'محدودیّت موقتی', 'اجازه نظرات برای هر پست', '600', '600', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<0)\r\n\$error=''Invalid value has been entered!'';\r\n}', '', ''),
(104, 'persian', 'كد امنيتي براي مهمان ها فعال باشد؟', '', '1', '1', '', '', ''),
(105, 'persian', 'فعال سازی حالت امتيازدهي', '', '1', '1', '', '', ''),
(106, 'persian', 'درست/حذف نظرات', '', '1', '1', '', '', ''),
(107, 'persian', 'محدودیّت زمان برای تصحیح', 'بعد از به اتمام رسیدن زمان تعیین شده کاربری قادر به تغییرات نخواهد بود', '86400', '86400', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<=0)\r\n\$error=''Invalid value has been entered!'';\r\n}', '', ''),
(108, 'persian', 'پیشوند مهمان ها', '', 'Guest_', 'Guest_', '', '', ''),
(109, 'persian', 'آواتار مهمان ها', 'وابسته به مسیر تصاویر', 'engine/guest.png', 'engine/guest.png', '', '', ''),
(110, 'persian', 'آیا مایلید همه را به عنوان اسپم شده انتخاب نمایید ؟', '', '0', '0', '', '', ''),
(111, 'persian', 'ادیتور:', '', '1', '1', 'if (\$save)\r\n\$value=(int)\$_POST[''comments_editor''];', '{%PHP\r\n\$types='''';\r\nif (!isset(\$Mainclass->Editor))\r\n	\$Mainclass->Loadclass(''classes/others/class_editor.php'');\r\nforeach(\$Mainclass->Editor->editors as \$k=>\$v)	\r\n\$types.=Template::Option(\$v,\$k,\$k==\$value);\r\necho Template::Select(''comments_editor'',\$types);%}', ''),

(112, 'persian', 'اخبار در هر صفحه', '', '10', '10', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<=0)\r\n\$error=''مقدار وارد شده صحیح نمیباشد'';\r\n}', '', ''),
(113, 'persian', 'اخبار در صفحه اصلی', 'این خصیصه در ماژول کار خواهد  کرد \"news\" و نمایش آن در صفحه اصلی خواهد بود.', '5', '5', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<=0)\r\n\$error=''مقدار وارد شده درست نیست'';\r\n}', '', ''),
(114, 'persian', 'اخبار در هر صفحه به عنوان RSS', '', '30', '30', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<=0)\r\n\$error=''مقدار وارد شده صحیح نمیباشد'';\r\n}', '', ''),
(115, 'persian', 'آیا مایلید حالت ذخیره سازی در صفحه اصلی را غیر فعال نمایید ؟', 'غیر فعال سازی مخازن در صفحه اصلی.', '0', '0', '', '', ''),
(116, 'persian', 'افزودن اخبار', 'آیا مایلید اجازه افزودن اخبار را برای کاربران فراهم سازید ؟', '1', '1', '', '', ''),
(117, 'persian', 'آیا مایلید امکان آپلود در سایت را فعال سازید ؟', 'اگر این خاصیّت فعال باشد کاربران میتوانند به صورت مستقیم در سرور فایل مورد نظر خودرا آپلود نمایند.', '1', '1', '', '', ''),
(118, 'persian', 'آیا مایلید فیلد های بیشتری را فعال نمایید ؟', '', '1', '1', '', '', ''),
(119, 'persian', 'توقف حالت جستجو گر', 'زمان مورد استفاده در این حالت. وارد کنید 0 را تا این حالت غیر فعال شود', '30', '30', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<0)\r\n\$error=''مقدار وارد شده صحیح نمیباشد'';\r\n}', '', ''),
(120, 'persian', 'خاتمه دهنده FURL برای موضوعات', 'توجه, نباید با حروف الفبا و شکل ها آغاز شود', '/', '/', 'if (\$save and preg_match(''/^[''.Strings::ALL.'']/i'',\$value)>0) \$error=''مقدار وارد شده نباید از نوع الفا یا شکل باشد !'';', '', 'FURL'),
(121, 'persian', 'خاتمه دهنده FURL برای اخبار', 'توجه, نباید با حروف الفبا و شکل ها آغاز شود', '.html', '.html', 'if (\$save and preg_match(''/^[''.Strings::ALL.'']/i'',\$value)>0) \$error=''مقدار وارد شده نباید از نوع الفا یا شکل باشد !'';', '', ''),
(122, 'persian', 'ساخت لینک های بلند برای موضوعات قابل توجه', '', '1', '1', '', '', ''),
(123, 'persian', 'فعال سازی امتیاز دهی', '', '1', '1', '', '', 'تنظیمات امتیاز دهی'),
(124, 'persian', 'دوره بین نظر سنجی ها', 'دوره تعیین شده برای کاربران بین نظر سنجی ها', '3', '3', '', '', ''),
(125, 'persian', 'شماره مرحله برای امتیاز دهی', 'توجه ! این بخش حساس است.', '5', '5', '', '', ''),
(126, 'persian', 'امتیاز دهی دوره ای برای نمایش', 'آیای مایلید این حالت فعال شود؟', '', '', '', '', ''),
(127, 'persian', 'سوالات در هر صفحه', '', '10', '10', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<=0)\r\n\$error=''مقدار وارد شده غیرقابل قبول است !'';\r\n}', '', ''),

(128, 'persian', 'سوالات در هر صفحه از RSS', '', '30', '30', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<=0)\r\n\$error=''مقدار وارد شده غیرقابل قبول است!'';\r\n}', '', ''),
(129, 'persian', 'افزودن سوال', 'آیا مایلید این حالت را برای پاسخ دهی کاربران فعال سازید؟', '1', '1', '', '', ''),
(130, 'persian', 'توقف جستجو', 'برای غیر فعال نمودن 0 را وارد نمایید', '10', '10', '', '', ''),
(131, 'persian', 'خاتمه دهنده FURL برای موضوعات', 'توجه, نباید با حروف الفبا و شکل ها آغاز شود !', '/', '/', 'if (\$save and preg_match(''/^[''.Strings::ALL.'']/i'',\$value)>0) \$error=''توجه, نباید با حروف الفبا و شکل ها آغاز شود !'';', '', 'FURL'),
(132, 'persian', 'خاتمه دهنده FURL برای سوالات', '', '.html', '.html', 'if (\$save and preg_match(''/^[''.Strings::ALL.'']/i'',\$value)>0) \$error=''توجه, نباید با حروف الفبا و شکل ها آغاز شود !'';', '', ''),
(133, 'persian', 'برداشتن لینک های بلند از موضوعات قابل توجه', '', '1', '1', '', '', ''),

(134, 'persian', 'FURL تقسیم مقادیر', 'توجه, نباید با حروف الفبا و شکل ها آغاز شود !', '/', '/', 'if (\$save and preg_match(''/[''.Strings::ALL.'']/i'',\$value)>0) \$error=''مقدار جاری can\\\\''t توجه, نباید با حروف الفبا و شکل ها آغاز شود'';', '', ''),
(135, 'persian', 'FURL خاتمه دهنده', 'توجه, نباید با حروف الفبا و شکل ها آغاز شود !', '.html', '.html', 'if (\$save and preg_match(''/^[''.Strings::ALL.'']/i'',\$value)>0) \$error=''توجه, نباید با حروف الفبا و شکل ها آغاز شود!'';', '', ''),
(136, 'persian', 'صفحه برای بخش اصلی', 'اگر شما ماژول فعالی دارید مانند \"Static pages\" بر روی صفحه اصلی به صورت زیر برای نمایش در هر صفحه تایید نمایید: page1,page2,page3', '', '', '', '', ''),

(137, 'persian', 'اندازه فایل', 'حد اکثر اندازه فایل برای وارد نمودن بر حسب بایت. انتخاب نمایید 0 را برای غیر فعال سازی این حالت برای کاربران.', '1048576', '1048576', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<0)\r\n\$error=''Unacceptable value has been entered!'';\r\n}', '', ''),
(138, 'persian', 'پیغام ایمیلی که باید ارسال شود به :', '<div align=\"left\">با انتخاب میتوانید توضيحاتی را فعال و وارد نمایید &quot;=&quot;. برای مثال :<br />Admin=admin@site.com</div>', '', '', 'if(\$save and \$value)\r\n{\r\n	\$value=trim(\$value);\r\n	\$value=preg_replace(\"#(\\r\\n)+#\",\"\\r\\n\",\$value);\r\n	\$val=explode(\"\\n\",\$value);\r\n	foreach(\$val as \$v)\r\n	{\r\n		\$v=str_replace(\"\\r\",'''',\$v);\r\n		if(false!==\$p=strpos(\$v,''=''))\r\n			\$v=mb_substr(\$v,\$p+1,mb_strlen(\$v,ELEANOR_CHARSET)-\$p-1,ELEANOR_CHARSET);\r\n		if(!Functions::CheckeMail(\$v))\r\n		{\r\n			\$error=''خالی (''.\$v.'')!'';\r\n			break;\r\n		}\r\n	}\r\n}\r\n', '', ''),
(139, 'persian', 'آیا میخواهید افزودنی ها را دریافت نمایید؟', '', '0', '0', '', '', ''),
(140, 'persian', 'پیشوند پیغام ها', '', 'بازخورد: ', 'بازخورد: ', '', '', ''),

(141, 'persian', 'آیا مایل به فعال سازی هستید ؟', 'پیش نمایش عکس در هنگام آپلود؟', '0', '0', '', '', ''),
(142, 'persian', 'انواع فایل ها :', 'نوع فایل را با کاما مشخص و انتخاب نمایید', 'png,jpg,bmp', 'png,jpg,bmp', '', '', ''),
(143, 'persian', 'پیش نمایش پهنا:', 'بر حسب پیکسل', '200', '200', '\$value=(int)\$value;', '', ''),

(144, 'persian', 'فایلها در هر صفحه', '', '10', '10', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<=0)\r\n\$error=''مقادير وارد شده غیرقابل قبول است !'';\r\n}', '', ''),
(145, 'persian', 'فایل ها در صفحه اصلی', 'با انتخاب این گزینه ماژول قابل نمایش \"files\" در صفحه اصلی خواهد بود.', '5', '5', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<=0)\r\n\$error=''مقدار وارد شده غیرقابل قبول است'';\r\n}', '', ''),
(146, 'persian', 'فایلها در صفحات RSS', '', '30', '30', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<=0)\r\n\$error=''مقادیر وارد شده غیرقابل قبول است'';\r\n}', '', ''),
(147, 'persian', 'آیا مایل به غیرفعال نمودن مخازن در صفحه اصلی هستید؟', 'غیر فعال نمودن.', '0', '0', '', '', ''),
(148, 'persian', 'افزودن فایل', 'آیا مایلید حالت افزودن فایل را برای کاربران فراهم سازید ؟', '1', '1', '', '', ''),
(149, 'persian', 'آیا مایلید امکان آپلود فایل در سرور را فعال سازید ؟', 'درصورت فعال سازی این گزینه کاربران هم قادر به ارسال فایل به سرور خواهند شد.', '1', '1', '', '', ''),
(150, 'persian', 'آیا میخواهید فیلد های بیشتری را ایجاد نمایید ؟', '', '1', '1', '', '', ''),
(151, 'persian', 'توقف جستجوگر', 'برای غیر فعال نمودن 0 را وارد نمایید', '30', '30', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<0)\r\n\$error=''مقدار وارد شده غیرقابل قبول است !'';\r\n}', '', ''),
(152, 'persian', 'خاتمه دهنده FURL برای موضوعات', 'توجه, نباید با حروف الفبا و شکل ها آغاز شود !', '/', '/', 'if (\$save and preg_match(''/^[''.Strings::ALL.'']/i'',\$value)>0) \$error=''این فیلد باید با مقداری به غیر از حروف الفبا آغاز شود !'';', '', 'FURL'),
(153, 'persian', 'خاتمه دهنده FURL برای فایل ها', 'توجه, نباید با حروف الفبا و شکل ها آغاز شود !', '.html', '.html', 'if (\$save and preg_match(''/^[''.Strings::ALL.'']/i'',\$value)>0) \$error=''توجه, نباید با حروف الفبا و شکل ها آغاز شود !'';', '', ''),
(154, 'persian', 'لینک های بلند برای موضوعات مهم', '', '1', '1', '', '', ''),
(155, 'persian', 'فعال سازی امتیاز دهی', '', '1', '1', '', '', 'تنظیمات امتیاز دهی'),
(156, 'persian', 'دوره نمایش نظر سنجی ها', 'انتخاب دوره برای نمایش نظر سجی ها', '3', '3', '', '', ''),
(157, 'persian', 'شماره برای نظر سنجی دوره ای', 'با انتخاب دوره کاربران فقط در طی این دوره قادر به نظر سنجی خواهند بود.', '5', '5', '', '', ''),
(158, 'persian', 'امتیاز دهی فقط در این دوره', 'آیا مایلید حالت امتیاز دهی دوره برای فایل ها ایجاد نمایید؟', '', '', '', '', ''),

(159, 'persian', 'امتیاز دهی در هر صفحه', '', '10', '10', 'if (\$save)\r\n{\r\n\$value=intval(\$value);\r\nif (\$value<=0)\r\n\$error=''مقدار وارد شده غیرقابل قبول است !'';\r\n}', '', ''),
(160, 'persian', 'امتیاز دهی در صفحه اصلی', 'این بخش از ماژول \"votes\"در صفحه اصلی قابل نمایش خواهد بود.', '5', '5', 'if (\$save)\r\n{\r\n\$value=intval(\$value);\r\nif (\$value<=0)\r\n\$error=''مقدار وارد شده غیرقابل قبول است !'';\r\n}', '', ''),
(161, 'persian', 'افزودن سوالات', 'آیا مایلید حالت پاسخ دهی سوالات را برای کاربران فعال نمایید؟', '1', '1', '', '', ''),
(162, 'persian', 'دوره بین نظر سنجی ها', 'انتخاب دوره برای نمایش نظر سنجی ها', '3', '3', '', '', ''),
(163, 'persian', 'خاتمه دهنده FURL برای موضوعات', 'توجه, نباید با حروف الفبا و شکل ها آغاز شود !', '/', '/', 'if (\$save and preg_match(''/^[''.Strings::ALL.'']/i'',\$value)>0) \$error=''توجه, نباید با حروف الفبا و شکل ها آغاز شود !'';', '', 'URL'),
(164, 'persian', 'خاتمه دهنده FURL برای نظر سنجی ها', 'توجه, نباید با حروف الفبا و شکل ها آغاز شود !', '.html', '.html', 'if (\$save and preg_match(''/^[''.Strings::ALL.'']/i'',\$value)>0) \$error=''توجه, نباید با حروف الفبا و شکل ها آغاز شود !'';', '', ''),
(165, 'persian', 'لینک های بلند برای موضوعات مهم', '', '1', '1', '', '', ''),

(166, 'persian', 'ساخت بلاگ ها :', '', '1', '1', '', '0=رد کردن·1=موافقت کردن·-1=با بررسی مدیر', 'ساخت بلاگ'),
(167, 'persian', 'حد اکثر کمیّت کاربران در بلاگ ها :', '0 - بدون محدودیّت', '0', '', '\$value=(int)\$value;', '', ''),
(168, 'persian', 'خاتمه دهنده FURL برای موضوعات :', 'توجه, نباید با حروف الفبا و شکل ها آغاز شود !', '/', '/', '', '', 'FURL'),
(169, 'persian', 'خاتمه دهنده FURL برای بلاگ ها :', 'توجه, نباید با حروف الفبا و شکل ها آغاز شود !	', '.html', '.html', '', '', ''),
(170, 'persian', 'کمیت های پیشفرض :', 'کیمیتها بر اساس شماره و یا زمان برای هر بلاگ', '10', '10', '\$value=(int)\$value;', '', 'Displaying'),
(171, 'persian', 'یادداشت کمیّت در صفحه اصلی :', 'این ماژول با عنوان \"blogs\" در صفحه اصلی نمایش داده خواهد شد.', '5', '5', '\$value=(int)\$value;', '', ''),
(172, 'persian', 'کمیت های کاربران در صفحه :', '', '10,15,20,25,30', '10,15,20,25,30', 'if(\$save)\r\n{\r\n   \$value=Strings::CleanForExplode(\$value);\r\n   if(preg_match(''#^[\\d,]+\$#'',\$value)==0)\r\n        \$error=''Invalid filling!'';\r\n}', '', ''),
(173, 'persian', 'یادداشت در هر صفحه از RSS :', '', '1', '1', '', '', 'امتیاز دهی'),
(174, 'persian', 'فعال سازی امتیازدهی؟', 'انتخاب دوره برای نمایش نظر سنجی ها', '30', '30', '', '', ''),
(175, 'persian', 'زمان دوره ای برای امتیاز دهی :', 'انتخاب دوره برای نمایش نظر سنجی ها', '3', '3', '', '', ''),
(176, 'persian', 'شمارنده مراحل نظر سنجی :', '', '5', '5', '', '', ''),
(177, 'persian', 'میزان امتیاز دهی فقط در این دوره :', 'آیا مایلید میزان امتیازات در بخش اخبار نمایش داده شود؟', '0', '0', '', '', ''),
(178, 'persian', 'توقف موقت جستجو', 'Time in seconds between using search. Enter 0 to turn off options', '30', '30', '', '', '')";

if(in_array('english',$languages))
	$insert['config_l(eng)']="INSERT INTO `{$prefix}config_l` VALUES
(1, 'english', 'Website name', '', '{$sitename}', '{$sitename}', '', '', ''),
(2, 'english', 'Headers divider', '', ' - ', ' - ', '', '', ''),
(3, 'english', 'Website description', '', 'Website is built on the base of Eleanor site engine', 'Website is built on the base of Eleanor site engine', '', '', ''),
(4, 'english', 'Keywords', '', 'Websites,engine,PHP, MySQL, AJAX', 'Websites,engine, PHP, MySQL, AJAX', '', '', ''),
(5, 'english', 'Main Address', 'Must be printed without http:// !', '{$Mainclass->domain}', '{$Mainclass->domain}', 'if (\$save)\r\n\$value=preg_replace(''#^(?:http://)*(.+?)/*\$#i'',''\\\\1'',\$value);', '', 'Website address'),
(6, 'english', 'The address is unique', 'By switching on this option, base href and another fields will accept value printed above. By ignoring the fact what real domain we have loaded website from.', '0', '0', '', '', ''),
(7, 'english', 'Switch on GZIP compression?', 'This option allows you to economize user is internet traffic but increases server is usage.', '1', '1', '', '', 'GZIP compression'),
(8, 'english', 'Compression level', 'Enter value from 0 to 9', '4', '4', 'if (\$save)\r\n{\$value=abs((int)\$value);\r\nif (\$value>9) \$value=9;\r\n}', '', ''),
(9, 'english', 'Switch on FURL?', '', '{$furl}', '1', '', '', 'Static URL'),
(10, 'english', 'Translit URL-s?', 'By switching on this option, files and content URL-s ', '0', '0', '', '', ''),
(11, 'english', 'Parameters divider', 'Any non alphabetic symbols can be entered.', '/', '/', 'if (\$save and preg_match(''/[''.Strings::ALL.'']/i'',\$value)>0)\r\n\$error=''Non alphabetic symbols can be entered only!'';', '', ''),
(12, 'english', 'Value divider', 'Any non alphabetic symbols can be entered.', '_', '_', 'if (\$save and preg_match(''/[''.Strings::ALL.'']/i'',\$value)>0)\r\n\$error=''Non alphabetic symbols can be entered only!'';', '', ''),
(13, 'english', 'URL ending', 'This option allows choose the basic value of all FURLs. Pay attention that this field should begin with non alphabetic symbol only!', '.html', '.html', 'if (\$save and preg_match(''/^[''.Strings::ALL.'']/i'',\$value)>0)\r\n\$error=''This value should begin with non alphabetic symbol only!'';', '', ''),
(14, 'english', 'Symbols autoreplacement in FURL', 'This option shows what inexpressible symbols in the address string shuld be replaced for during FURL is link creation.<br />Important: this value may not be the same as parameter or link divider or FURL is ending!', '-', '-', '', '', ''),
(15, 'english', 'Switch on modules autoload/unload', 'This option - +2 non important data base queries. But its recommended to be switched on at the time of autoload modules presence in system', '0', '0', '', '', 'Other settings'),
(16, 'english', 'Turn off website', 'Do you eant to switch off website for profilactic? Pay attention, this option will be executed in case of users login system presence only! (you can setup admin login if there is no other option)', '0', '0', '', '', ''),
(17, 'english', 'The reason of site closing', 'Specify the reason of website closing. If website is opened it is recommended to clean the field for memory economysing.', '', '', '', '', ''),
(18, 'english', 'Switch on multilanguage support', '', '0', '0', 'if(\$save and \$value and count(\$Mainclass->langs)<2)\$value=0;', '', ''),
(19, 'english', 'Webpage creation speed', 'Little string at the page bottom which consists webpage creation speed, data base querys number and GZIP compression status.', '2', '2', '', '0=Do not show·1=Will be shown administrator only·2=Show all', ''),

(20, 'english', 'Duration of cookies existence (days):', 'Duration of cookies existence on user is PC.', '31536000', '31536000', 'if (\$save)\r\n\$value=(int)\$value*86400;\r\nelse\r\n\$value=bcdiv((int)\$value,86400);', '', ''),
(21, 'english', 'Cookie is domain', 'Tip: use .your-domain.com for global cookie. Enter * if multidomain option is present ', '.*', '.*', '', '', 'Cookies settings'),
(22, 'english', 'Cookie prefix', 'Allows you setup cookie prefix.', 'CP', '', '', '', ''),
(23, 'english', 'Cookie prefix', 'Relative path from domain to website root directory', '/', '/', '', '', ''),
(24, 'english', 'Do you want enable secured cookie?', 'If this option is turneв on than during user authorization extra cookie will be created whixh consists geographic information. Such extra cookie makes it almost impossible to fake cookie', '1', '1', '', '', 'Extra settings'),

(25, 'english', 'Guests group', 'Give group rights...', '3', '3', 'if (\$save)\r\n\$value=(int)\$Mainclass->POST[''guest_group''];', '{%PHP\r\n\$gg_options='''';\r\n\$gg_res=\$Mainclass->Db->Query(''SELECT `id`, `title` FROM `prefix_groups` ORDER BY `title` ASC'',__file__,__line__);\r\nwhile(\$gg_arr=\$Mainclass->Db->Fetch_assoc(\$gg_res))\r\n	\$gg_options.=Template::Option(\$gg_arr[''title''],\$gg_arr[''id''],\$gg_arr[''id'']==\$value);\r\necho Template::Select(''guest_group'',\$gg_options);\r\n%}', ''),
(26, 'english', 'Do you want watch search bots?', 'Do you want enable search bots watching?', '1', '1', '', '', 'Search bots settings'),
(27, 'english', 'Search bots group', 'Give search bots group rights...', '4', '3', 'if (\$save)\r\n\$value=(int)\$Mainclass->POST[''bot_group''];', '{%PHP\r\n\$bg_options='''';\r\n\$bg_res=\$Mainclass->Db->Query(''SELECT `id`, `title` FROM `prefix_groups` ORDER BY `title` ASC'',__file__,__line__);\r\nwhile(\$bg_arr=\$Mainclass->Db->Fetch_assoc(\$bg_res))\r\n	\$bg_options.=Template::Option(\$bg_arr[''title''],\$bg_arr[''id''],\$bg_arr[''id'']==\$value);\r\necho Template::Select(''bot_group'',\$bg_options);\r\n%}', ''),
(28, 'english', 'Search bots data base', 'Search bots data is kept in this list. You can add or adit them. Only one per line.', 'google=Google Bot,slurp@inktomi=Hot Bot,archive_org=Archive.org Bot,Ask Jeeves=Ask Jeeves Bot,Lycos=Lycos Bot,WhatUSeek=What You Seek Bot,ia_archiver=IA.Archiver Bot,GigaBlast=Gigablast Bot,Gigabot=Gigablast Bot,Yandex=Yandex Bot,Yahoo!=Yahoo Bot,Yahoo-MMCrawler=Yahoo-MM Crawler Bot,TurtleScanner=Turtle Scanner Bot,TurnitinBot=Turnitin Bot,ZipppBot=Zippp Bot,StackRambler=Stack Rambler Bot,oBot=oBot,rambler=Rambler Bot,Jetbot=Jet Bot,NaverBot=Naver Bot,libwww=Punto Bot,aport=Aport Bot,msnbot=MSN Bot,MnoGoSearch=Mno Go Search Bot,booch=Booch Bot,Openbot=Openfind Bot,scooter=Altavista Bot,WebCrawler=Fast Bot,WebZIP=WebZIP Bot,GetSmart=Get Smart Bot,grub-client=Grub Client Bot,Vampire=Net Vampire Bot', 'googlebot=Google Bot,slurp@inktomi=Hot Bot,archive_org=Archive.org Bot,Ask Jeeves=Ask Jeeves Bot,Lycos=Lycos Bot,WhatUSeek=What You Seek Bot,ia_archiver=IA.Archiver Bot,GigaBlast=Gigablast Bot,Gigabot=Gigablast Bot,Yandex=Yandex Bot,Yahoo!=Yahoo Bot,Yahoo-MMCrawler=Yahoo-MM Crawler Bot,TurtleScanner=Turtle Scanner Bot,TurnitinBot=Turnitin Bot,ZipppBot=Zippp Bot,StackRambler=Stack Rambler Bot,oBot=oBot,rambler=Rambler Bot,Jetbot=Jet Bot,NaverBot=Naver Bot,libwww=Punto Bot,aport=Aport Bot,msnbot=MSN Bot,MnoGoSearch=Mno Go Search Bot,booch=Booch Bot,Openbot=Openfind Bot,scooter=Altavista Bot,WebCrawler=Fast Bot,WebZIP=WebZIP Bot,GetSmart=Get Smart Bot,grub-client=Grub Client Bot,Vampire=Net Vampire Bot', '\$value=\$save ? str_replace(array(\"\\\\r\",\"\\\\n\"),array('''','',''),\$value)\r\n: str_replace('','',\"\\\\r\\\\n\",\$value);', '', ''),

(29, 'english', 'Local', 'Local settings (time zone correction).Please, DO NOT change this option if you do not know what is that!', 'ru_RU', 'ru_RU', '', '', ''),
(30, 'english', 'Time zone', '', 'Europe/Kiev', 'Europe/Kiev', '', 'Pacific/Kwajalein=(GMT -12:00) Eniwetok, Kwajalein·Pacific/Samoa=(GMT -11:00) Midway Island, Samoa·US/Hawaii=(GMT -10:00) Hawaii·US/Alaska=(GMT -9:00) Alaska·Canada/Pacific=(GMT -8:00) Pacific Time (US &amp; Canada)·Canada/Mountain=(GMT -7:00) Mountain Time (US &amp; Canada)·Canada/Central=(GMT -6:00) Central Time (US &amp; Canada), Mexico City·Canada/Eastern=(GMT -5:00) Eastern Time (US &amp; Canada), Bogota, Lima·Canada/Atlantic=(GMT -4:00) Atlantic Time (Canada), Caracas, La Paz·Canada/Newfoundland=(GMT -3:30) Newfoundland·Brazil/East=(GMT -3:00) Brazil, Buenos Aires, Georgetown·Atlantic/Bermuda=(GMT -2:00) Mid-Atlantic·Atlantic/Azores=(GMT -1:00 hour) Azores, Cape Verde Islands·Europe/London=(GMT) Western Europe Time, London, Lisbon, Casablanca·Europe/Paris=(GMT +1:00 hour) Brussels, Copenhagen, Madrid, Paris·Europe/Kiev=(GMT +2:00) Kaliningrad, South Africa, Helsinki, Riga, Kiev, Sofia, Tallin, Vilnius·Europe/Moscow=(GMT +3:00) Baghdad, Riyadh, Moscow, St. Petersburg·Asia/Tehran=(GMT +3:30) Tehran·Asia/Baku=(GMT +4:00) Abu Dhabi, Muscat, Baku, Tbilisi·Asia/Kabul=(GMT +4:30) Kabul·Asia/Tashkent=(GMT +5:00) Ekaterinburg, Islamabad, Karachi, Tashkent·Asia/Calcutta=(GMT +5:30) Bombay, Calcutta, Madras, New Delhi·Asia/Dhaka=(GMT +6:00) Almaty, Dhaka, Colombo·Asia/Bangkok=(GMT +7:00) Bangkok, Hanoi, Jakarta·Asia/Singapore=(GMT +8:00) Beijing, Perth, Singapore, Hong Kong·Asia/Tokyo=(GMT +9:00) Tokyo, Seoul, Osaka, Sapporo, Yakutsk·Australia/Darwin=(GMT +9:30) Adelaide, Darwin·Asia/Vladivostok=(GMT +10:00) Eastern Australia, Guam, Vladivostok·Asia/Magadan=(GMT +11:00) Magadan, Solomon Islands, New Caledonia·Asia/Kamchatka=(GMT +12:00) Auckland, Wellington, Fiji, Kamchatka', ''),
(31, 'english', 'Time correction', 'Allows you to edit server time. Enter values in seconds, negative values are allowed too', '0', '0', 'if (\$save)\r\n \$value=(int)\$value;', '', 'Corrections'),

(32, 'english', 'Do you want to turn on password broot protection?', 'Turning on this option secure you from attempts to get user passwords by rough hack force', '1', '1', '', '', ''),
(33, 'english', 'No more than N unsuccess authorization attempts', '', '5', '5', 'if (\$save)\r\n\$value=(int)\$value;', '', ''),
(34, 'english', 'What period of time...', 'In minutes', '600', '600', 'if (\$save)\r\n\$value=(int)\$value*60;\r\nelse\r\n\$value=bcdiv(\$value,60);', '', ''),
(35, 'english', 'Access key expiration time (days)', 'Enter 0 to turn it on.', '259200', '259200', '\$value= \$save ? (int)\$value*86400 : bcdiv(\$value,86400);', '', 'User login settings'),
(36, 'english', 'User avatar, without avatar', 'Relative to images directory', 'engine/avatar.png', 'engine/avatar.png', '', '', 'Paths'),
(37, 'english', 'Account settings link', '', '".($_SESSION['install']['furl'] ? 'account.html' : 'index.php?module=account')."', '".($_SESSION['install']['furl'] ? 'account.html' : 'index.php?module=account')."', '', '', ''),
(38, 'english', 'Registration link', '', '".($_SESSION['install']['furl'] ? 'account/do_register.html' : 'index.php?module=account&amp;do=register')."', '".($_SESSION['install']['furl'] ? 'account/do_register.html' : 'index.php?module=account&amp;do=register')."', '', '', ''),
(39, 'english', 'Password recovery link', '', '".($_SESSION['install']['furl'] ? 'account/do_passlost.html' : 'index.php?module=account&amp;do=passlost')."', '".($_SESSION['install']['furl'] ? 'account/do_passlost.html' : 'index.php?module=account&amp;do=passlost')."', '', '', ''),
(40, 'english', 'Do you wanna enable bookmarks?', 'Switching on this option allows users create their own bookmarks for any of your website pages', '1', '1', '', '', 'Different stuff'),
(41, 'english', 'Sessions duration', 'You can setup session duration here depending on service that is used by user. This settings block is used for \"who is online\" list creation. Should be entered in seconds in a way<br /><b>Service name=seconds quantity</b><br /> Everyone from a new line. It is used for guests too.', 'admin=900,ajax=300,download=3600,user=900,upload=900,rss=900', 'admin=900,ajax=300,download=3600,user=900,upload=900,rss=900', '\$value=\$save ? str_replace(array(\"\\\\r\",\"\\\\n\"),array('''','',''),\$value)\r\n: str_replace('','',\"\\\\r\\\\n\",\$value);', '', ''),
(42, 'english', 'Do you wanna enable templates selection?', 'Select the templates that can be used by users as website designing.', '', '', 'if(\$save)\r\n{\r\n\$value=(isset(\$_POST[''templates'']) and is_array(\$_POST[''templates''])) ? \$_POST[''templates''] : array();\r\n	\$value=\$value ? serialize(\$value) : '''';\r\n}\r\nelse\r\n	\$value=@unserialize(\$value);', '{%PHP\r\n\$func=create_function(''\$Mainclass'',''\$themes=array();\$arr=glob(\$Mainclass->root_path.\$Mainclass->Template->theme_path.\"/*\",GLOB_ONLYDIR);\r\n	foreach(\$arr as &\$v)\r\n	{\r\n		\$name=false;\r\n		\$service=array();\r\n		if(file_exists(\$v.\".php\"))\r\n			include \$v.\".php\";\r\n		if(\$service and is_array(\$service) and !in_array(2,\$service))\r\n			continue;\r\n		\$tpl=basename(\$v);\r\n		if(!\$name)\r\n			\$name=\$tpl;\r\n		\$themes[\$tpl]=\$name;\r\n	}\r\nasort(\$themes,SORT_STRING);\r\n	return \$themes;'');\r\n\$arr=\$func(\$Mainclass);\r\nif(!is_array(\$value))\r\n\$value=array();\r\n\$opts='''';\r\nforeach(\$arr as \$k=>\$v)\r\n		\$opts.=Template::Option(\$v,\$k,in_array(\$k,\$value));\r\n	echo Template::Items(''templates'',\$opts,5);\r\n%}', ''),

(43, 'english', 'Blocked nicknames', 'Should be entered with \",\", mask can be used:<br />* - any symbols aequence.<br />% - any one symbol', 'slaed, slaed cms, Edmann, DiFor, zigmat', 'slaed, slaed cms, Edmann, DiFor, zigmat', '', '', ''),
(44, 'english', 'Blocked e-mails', 'E-mail blocking.<br />* — any symbols aequence.<br />% — any one symbol', '', '', 'if (\$save)\r\n{\r\n\$value=trim(\$value);\r\n	\$myv=explode('','',\$value);\r\n	if (count(\$myv)>0 and \$value)\r\n		foreach(\$myv as \$v)\r\n			if (strpos(\$v,''@'')===false or strpos(\$v,''.'')===false)\r\n			{\r\n				\$error=''\"@\" or \".\" symbols are missing in e-mail!'';\r\n			}\r\n}', '', ''),
(45, 'english', 'Maximum upload file size', 'For function Functions::Upload. Value should be entered in kb', '5242880', '5242880', 'if (\$save)\r\n\$value=(int)\$value*1024;\r\nelse\r\n\$value=bcdiv(\$value,1024);', '', ''),
(46, 'english', 'Blocked IP addresses', 'Every address should be entered from a new line. You can use such masks: 87.183.*.*, где * - any value. Enter \"=\" after entered IP address for pointing a unique reason of been banned. For example:<br />87.183.*.*=Scums are not allowed here!', '', '', '', '', 'IP addresses'),
(47, 'english', 'Message for those who blocked', 'This message will be shown for those who do not see a reason for been blocked', 'That is not the right place for you!', 'That is not the right place for you!', '', '', ''),
(48, 'english', 'Do you want disable captcha?', '', '0', '0', '', '', 'Captcha settings'),
(49, 'english', 'Symbols quantity in  captcha', '', '5', '5', 'if (\$save)\r\n\$value=(int)\$value;', '5', ''),
(50, 'english', 'Symbols in captcha', 'Symbols that are used in captcha (it is recommended to exclude similar symbols, such as 0 — mumeric and o — alphabatic)', '23456789abcdeghkmnpqsuvxyz', '23456789abcdeghkmnpqsuvxyz', '', '23456789abcdeghkmnpqsuvxyz', ''),
(51, 'english', 'Captcha width', 'Image width', '120', '120', 'if (\$save)\r\n\$value=(int)\$value;', '', ''),
(52, 'english', 'Captcha height', 'Image height', '60', '60', 'if (\$save)\r\n\$value=(int)\$value;', '', ''),
(53, 'english', 'Symbols vertical disorder:', 'Symbols maximum deviation from center. In pixels', '5', '5', 'if (\$save)\r\n\$value=(int)\$value;', '', ''),
(54, 'english', 'Delete blanks between symbols', 'It makes difficult to understand captcha by human as good as PC', '1', '1', '', '', ''),
(55, 'english', 'JPEG images quality from 1 to 100', 'Higher quality means more cleaк image but larger size at the same time.', '90', '90', 'if (\$save)\r\n{\r\n\$value=abs((int)\$value);\r\nif(\$value>100)\r\n\$value=100;\r\n}', '', ''),
(56, 'english', 'Prohibit download from other sites', 'If this option is turned on then the referrered download link address will be checked. If it is an another websites page then the user will be unable to download.', '1', '1', '', '', 'Download files from uploads directory)'),
(57, 'english', 'Prohibit dowloads without session', 'By switching on this option IP address that is not in session list(who is online) will be unable to download file. It means that user will have to visit at least one page from your website in order to make his IP adress appear in session list.', '1', '1', '', '', ''),
(58, 'english', 'Redirect page', 'If user is unable to download file due to restrictions he wiil be redirected to this page. Note: enter * instead of current domain (it is useful for multidomain websites).', 'http://*/".($_SESSION['install']['furl'] ? 'errors/403.html' : 'index.php?module=errors&url=403')."', 'http://*/".($_SESSION['install']['furl'] ? 'errors/403.html' : 'index.php?module=errors&url=403')."', '', '', ''),
(59, 'english', 'Do you need water mark?', 'Do you wanna make water mark foк uploaded images?', '1', '1', '', '', 'Watermark settings'),
(60, 'english', 'File types', 'Watermark will be used for such files. Enter? using comma.', 'jpg,jpeg,png,bmp,gif', 'jpg,jpeg,png,bmp,gif', 'if (\$save)\r\n\$value=Strings::CleanForExplode(strtolower(\$value));', '', ''),
(61, 'english', 'Watermark line', 'This line will be layed as a watermark for image.', '© {$sitename}', '© {$sitename}', '', '', ''),
(62, 'english', 'or an image for watermark', 'Enter the apth to image which will be used as a watermark (for example: images/watermrak.jpg) Pay attention, that watermark wont be used for image smaller then watermark itself.', 'images/watermark.png', 'images/watermark.png', 'if (\$save and \$value and !is_file(\$Mainclass->FormatPath(\$value)))\r\n\$error=''Wanted file is inexisted!'';', '', ''),
(63, 'english', 'Horizontal location (in percent)', 'Watermark location from higher left corner by horizontal. Enter in percent from 0 (left border) to 100 (right border) 50 (middle).', '50', '50', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<0)\r\n\$value=0;\r\nelseif (\$value>100)\r\n\$value=100;\r\n}', '', ''),
(64, 'english', 'Vertical location (percent)', 'Watermark location from higher left corner by vertical. Enter in percent from 0 (left border) to 100 (right border) 50 (middle).', '7', '50', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<0)\r\n\$value=0;\r\nelseif (\$value>100)\r\n\$value=100;\r\n}', '', ''),
(65, 'english', 'Watermark clearness (percent)', '0 - you cant see watermark ; 100 - there is no clearness.', '70', '50', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<0)\r\n\$value=0;\r\nelseif (\$value>100)\r\n\$value=100;\r\n}', '', ''),

(66, 'english', 'Should critical errors be shown?', 'As a rule such errors are generated \$Mainclass-&gt;ShowDie', '1', '1', '', '', ''),
(67, 'english', 'Note under critical error:', 'You can leave a message here for those users who see critical errors', 'Stay calm: the error has been written down - administrator will come soon and deal with the problem.', 'Stay calm: the error has been written down - administrator will come soon and deal with the problem.', '', '', ''),
(68, 'english', 'Code error file:', 'Code errors wiil be loged in this file.', 'addons/logs/errors.log', 'addons/logs/errors.log', 'if (\$save)\r\n{\r\n\$value=Strings::CleanForExplode(str_replace(''\\\\\\\\'',''/'',\$value),''/'');\r\n}', '', ''),
(69, 'english', 'Exceptions file:', 'Exceptions wiil be logged in this file', 'addons/logs/exceptions.log', 'addons/logs/exceptions.log', 'if (\$save)\r\n{\r\n\$value=Strings::CleanForExplode(str_replace(''\\\\\\\\'',''/'',\$value),''/'');\r\n}', '', ''),
(70, 'english', 'Website errors file:', 'Website errors wiil be loged in this file', 'addons/logs/site_errors.log', 'addons/logs/site_errors.log', 'if (\$save)\r\n{\r\n\$value=Strings::CleanForExplode(str_replace(''\\\\\\\\'',''/'',\$value),''/'');\r\n}', '', ''),
(71, 'english', 'Data base errors file:', 'Data base errors wiil be loged in this file', 'addons/logs/db_errors.log', 'addons/logs/db_errors.log', 'if (\$save)\r\n{\r\n\$value=Strings::CleanForExplode(str_replace(''\\\\\\\\'',''/'',\$value),''/'');\r\n}', '', ''),
(72, 'english', 'File size limit:', 'Should be entered in kb. After reaching this size file will automatically be packed in Gzip or Bzip2 archive. Enter 0 to disable this option.', '1048576', '1048576', '\$value=\$save ? (int)\$value*1024 : bcdiv((int)\$value,1024);', '', ''),

(73, 'english', 'Sending type', '', 'mail', 'mail', '', 'mail=Using PHP help mail()·smtp=Using SMTP server', ''),
(74, 'english', 'Sender e-mail box', 'Which e-mail box will thу messages be sent from?', '{$email}', '{$email}', 'if (\$save)\r\n{\r\nif (!Functions::CheckeMail(\$value))\r\n\$error=''Неправильно указан e-mail адрес!'';\r\n}', '', 'General settings'),
(75, 'english', 'Letters priority', '1 - extremely important', '3', '3', '', '1·2·3·4·5', ''),
(76, 'english', 'Would you like send messages to reply?', 'Switching on this option will send header: <b>Reply-To:</b>', '1', '1', '', '', ''),
(77, 'english', 'Send reply to address:', 'By switching on option \"Would you like to send messages to reply?\" this address will be shown in header', '{$email}', '{$email}', 'if (\$save)\r\n{\r\nif (!Functions::CheckeMail(\$value))\r\n\$error=''Wrong e-mail address!'';\r\n}', '', ''),
(78, 'english', 'Do you want be informed about letter been read?', 'By switching on this option receiver will be able to send you confirmation a bout letter been read', '1', '1', '', '', ''),
(79, 'english', 'Where the confirmation should be sent to?', '', '{$email}', '{$email}', 'if (\$save)\r\n{\r\nif (!Functions::CheckeMail(\$value))\r\n\$error=''Invalid e-mail address!'';\r\n}', '', ''),
(80, 'english', 'Mailer identifier', 'This value will be sent by parameter to header \"X-Mailer:\".', 'Eleanor CMS', 'Eleanor CMS', '', '', ''),
(81, 'english', 'Login', 'User', '', '', '', '', 'SMTP settings'),
(82, 'english', 'Password', '', '', '', '', '', ''),
(83, 'english', 'Host', '', '', '', '', '', ''),
(84, 'english', 'Port', '', '25', '25', '', '', ''),

(85, 'english', 'Default editor', '', '2', '2', 'if (\$save)\r\n\$value=(int)\$Mainclass->POST[''editor_type''];', '{%PHP\r\n\$types='''';\r\nif (!isset(\$Mainclass->Editor))\r\n	\$Mainclass->Loadclass(''classes/others/class_editor.php'');\r\nforeach(\$Mainclass->Editor->editors as \$k=>\$v)	\r\n\$types.=Template::Option(\$v,\$k,\$k==\$value);\r\necho Template::Select(''editor_type'',\$types);%}', ''),
(86, 'english', 'Forbidden words', 'Mature rough strong language. Enter with comma (for example, fuck you Eduard Laas, suck my balls, bitch, fags get out, dickhead, SLAED - e.g. piece of skunky german shit)', 'slaed, slaed cms, Edmann, DiFor, zigmat', 'slaed, slaed cms, Edmann, DiFor, zigmat', '', '', ''),
(87, 'english', 'Forbidden words autoreplacement', '', '*It is been fu##in censored, dude!*', '*It is been fu##in censored, dude!*', '', '', ''),
(88, 'english', 'One word maximum length', 'Sometimes users wanna waste your website space and make toooo long comments. You can select maximum word length. If there will be found a word with more than maximum symbols quantity than it would be automatically split into couple lines. The function will be turned off if the value will be under 50.', '70', '70', '', '', ''),
(89, 'english', 'Do you want to turn on direct link defence?', 'Switching on this option will make all direct links', '1', '1', '', '', ''),
(90, 'english', 'Do you wanna enable URL autoparsing?', 'Turning on this option will make all limks printed as text be executed as links.', '1', '1', '', '', ''),

(91, 'english', 'RSS logo', 'RSS image-logo that will be shown down in corner. Leave blank to turn off this function', '', '', 'if (\$save and \$value)\r\n{\r\n\$image=\$Mainclass->FormatPath(\$value);\r\nif (!is_file(\$image))\r\n\$error=''This image does not exist!'';\r\n}', '', ''),

(92, 'english', 'Account activation', '', '1', '1', '', '1=Do not need·2=Send to e-mail', ''),
(93, 'english', 'Restore password', '', '1', '1', '', '1=Allow enter new password·2=Generate and send to e-mail', ''),
(94, 'english', 'Activation expiration date', 'Period of time after which the link of activation/confirmation been sent to e-mail will be invalid.', '24', '24', 'if (\$save)\r\n{\r\n\$value=abs((int)\$value);\r\nif (\$value<1) \$error=''Введено недопустимое значение!'';\r\n}', '', ''),
(95, 'english', 'Avatar maximum upload size KB', '', '307200', '307200', '\$value=\$save ? abs((int)\$value)*1024 : \$value/1024;', '', ''),
(96, 'english', 'Nickname maximum length', '', '15', '15', 'if (\$save)\r\n{\r\n\$value=abs((int)\$value);\r\nif (\$value<5)\r\n\$error=''Niclname should be at least 5 symbols long!'';\r\n}', '', ''),
(97, 'english', 'Maximum avatar size', 'Enter un such way: width[blank]height.', '100 100', '100 100', 'if (\$save and preg_match(''#^\\d+ \\d+\$#'',\$value)==0) \$error=''Invalid input type!'';', '', 'User personal data'),
(98, 'english', 'Do you wanna turn off registration?', '', '0', '0', '', '', ''),

(99, 'english', 'Eleanor CMS personal key', 'The key is given to registered Eleanor CMS users only and it is extremely important!<br />To get the key please visit Eleanor CMS official website - <a href=\"http://eleanor-cms.ru\" target=\"_blank\">http://eleanor-cms.ru</a>.<br /><br />do not edit or delete your key unless you are completely sure with your actions!', '', '', 'if (\$save)\r\n    \$value=str_replace(''-'','''',\$value);\r\nelse\r\n    \$value=join(''-'',str_split(\$value,4));', '', ''),
(100, 'english', 'Code for deleting copyrights', 'Did you use delete copyright paid service ? — Enter the code been sent to you.<br /><br />deleting copyrights on your own you risk of expelling as a registered user from official website and such actions are illegal and you can run in prison for that because Eleanor CMS is protected by international copyrights!', '', '', 'if (\$save)\r\n    \$value=str_replace(''-'','''',\$value);\r\nelse\r\n    \$value=join(''-'',str_split(\$value,4));', '', ''),

(101, 'english', 'Show comments', 'Select the order of showing comments', '1', '1', '', '1=Desc order·2=Direct·3=As a tree', ''),
(102, 'english', 'Comments per page', 'Pay attention that if you choose displaying comments as a tree th comments wont be split on pages!', '10', '10', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<=0)\r\n\$error=''Введено недопустимое значение!'';\r\n}', '', ''),
(103, 'english', 'Temporary limit', 'Allow to post comment every N second. In this field enter N or enter 0 to switch off the option', '600', '600', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<0)\r\n\$error=''Invalid value has been entered!'';\r\n}', '', ''),
(104, 'english', 'Do you wanna turn on captcha for guests?', '', '1', '1', '', '', ''),
(105, 'english', 'Turn on comments carma', '', '1', '1', '', '', ''),
(106, 'english', 'Correct/delete comments', '', '1', '1', '', '', ''),
(107, 'english', 'Time limit for correction', 'After such time (seconds) users will be unable to edit.delete their comments', '86400', '86400', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<0)\r\n\$error=''Invalid value has been entered!'';\r\n}', '', ''),
(108, 'english', 'Guests prefix', '', 'Guest_', 'Guest_', '', '', ''),
(109, 'english', 'Guest avatar', 'Relative to images folder', 'engine/guest.png', 'engine/guest.png', '', '', ''),
(110, 'english', 'Do you wanna allow to mark it as a spam?', '', '0', '0', '', '', ''),
(111, 'english', 'Editor:', '', '1', '1', 'if (\$save)\r\n\$value=(int)\$_POST[''comments_editor''];', '{%PHP\r\n\$types='''';\r\nif (!isset(\$Mainclass->Editor))\r\n	\$Mainclass->Loadclass(''classes/others/class_editor.php'');\r\nforeach(\$Mainclass->Editor->editors as \$k=>\$v)	\r\n\$types.=Template::Option(\$v,\$k,\$k==\$value);\r\necho Template::Select(''comments_editor'',\$types);%}', ''),

(112, 'english', 'News per page', '', '10', '10', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<=0)\r\n\$error=''Invalid value has been entered!'';\r\n}', '', ''),
(113, 'english', 'News on main page', 'This option will work if module \"news\" will be displayed on a main page.', '5', '5', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<=0)\r\n\$error=''Invalid value has been entered!'';\r\n}', '', ''),
(114, 'english', 'News per page in RSS', '', '30', '30', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<=0)\r\n\$error=''Invalid value has been entered!'';\r\n}', '', ''),
(115, 'english', 'Do you wanna turn off cache on main page?', 'Turn off cache on amin page.', '0', '0', '', '', ''),
(116, 'english', 'Add news', 'Do you wanna let users add news?', '1', '1', '', '', ''),
(117, 'english', 'Do you wanna turn on files upload?', 'If this option is turned on then during adding news users will be able to upload files directly into the server.', '1', '1', '', '', ''),
(118, 'english', 'Do you wanna turn on extra fields?', '', '1', '1', '', '', ''),
(119, 'english', 'Temporaly pause search process', 'Time in seconds between using search. Enter 0 to turn off this option', '30', '30', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<0)\r\n\$error=''Invalid value has been entered!'';\r\n}', '', ''),
(120, 'english', 'FURL ending for category', 'Pay attention, this field should begin with non alphabatic symbol!', '/', '/', 'if (\$save and preg_match(''/^[''.Strings::ALL.'']/i'',\$value)>0) \$error=''Current Value should begin with non alphabatic symbol!'';', '', 'FURL'),
(121, 'english', 'FURL ending for news', 'Pay attention, this field should begin with non alphabatic symbo and can not be tha same as category ending otherwise you will have unbelievable problems!', '.html', '.html', 'if (\$save and preg_match(''/^[''.Strings::ALL.'']/i'',\$value)>0) \$error=''Current Value should begin with non alphabatic symbol!'';', '', ''),
(122, 'english', 'Long URL taking to attention all categories', '', '1', '1', '', '', ''),
(123, 'english', 'Turn on rating', '', '1', '1', '', '', 'Rating settings'),
(124, 'english', 'Period between votes', 'Period in days after which user is able to vote again', '3', '3', '', '', ''),
(125, 'english', 'Number of steps in rating', 'Attention! Changing this option will lead you to wrong vote results for news which have been voted.', '5', '5', '', '', ''),
(126, 'english', 'Rate during watching only', 'Do you wanna enable rating during watching news only?', '', '', '', '', ''),

(127, 'english', 'Questions per page', '', '10', '10', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<=0)\r\n\$error=''Unacceptable value has been entered!'';\r\n}', '', ''),
(128, 'english', 'Questions per page in RSS', '', '30', '30', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<=0)\r\n\$error=''Unacceptable value has been entered!'';\r\n}', '', ''),
(129, 'english', 'Add questions', 'Do you wanna allow users add questions?', '1', '1', '', '', ''),
(130, 'english', 'Temporaly search pause', 'Time in seconds between search. Enter 0 to turn off this option', '10', '10', '', '', ''),
(131, 'english', 'FURL ending for category', 'Pay attention, that this field should begin with non alphabetic symbols only!', '/', '/', 'if (\$save and preg_match(''/^[''.Strings::ALL.'']/i'',\$value)>0) \$error=''This field should begin with non alphabetic symbol only!'';', '', 'FURL'),
(132, 'english', 'FURL ending for questions', '', '.html', '.html', 'if (\$save and preg_match(''/^[''.Strings::ALL.'']/i'',\$value)>0) \$error=''This field should begin with non alphabetic symbol only!'';', '', ''),
(133, 'english', 'Long URL taking to attention all categories', '', '1', '1', '', '', ''),

(134, 'english', 'FURL parameters divider', 'Pay attention that this field can consist non alphabetic symbols only!', '/', '/', 'if (\$save and preg_match(''/[''.Strings::ALL.'']/i'',\$value)>0) \$error=''Current value can\\\\''t consist non alphabetic symbols only!'';', '', ''),
(135, 'english', 'FURL ending', 'Pay attention, this field should begin with non alphabatic symbo and can not be tha same as category ending otherwise you will have unbelievable problems!', '.html', '.html', 'if (\$save and preg_match(''/^[''.Strings::ALL.'']/i'',\$value)>0) \$error=''This field should begin with non alphabetic symbol only!'';', '', ''),
(136, 'english', 'Page for main', 'If you have turned on module \"Static pages\" on the main website page then you can enter URL of page that should be displayed. If you wanna display couple pages then enter their URL with comma. For example: page1,page2,page3', '', '', '', '', ''),

(137, 'english', 'File size', 'Maximum size of attached file in bytes. Select 0 to turn of sending files by users.', '1048576', '1048576', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<0)\r\n\$error=''Unacceptable value has been entered!'';\r\n}', '', ''),
(138, 'english', 'E-mail where the message should be sent to:', '<div align=\"left\">One per line. If checkbox below is checked than you can add description. Add description before e-mail to do that and &quot;=&quot;. Example:<br />Admin=admin@site.com</div>', '', '', 'if(\$save and \$value)\r\n{\r\n	\$value=trim(\$value);\r\n	\$value=preg_replace(\"#(\\\\r\\\\n)+#\",\"\\\\r\\\\n\",\$value);\r\n	\$val=explode(\"\\\\n\",\$value);\r\n	foreach(\$val as \$v)\r\n	{\r\n		\$v=str_replace(\"\\\\r\",'''',\$v);\r\n		if(false!==\$p=mb_strpos(\$v,''='',0,ELEANOR_CHARSET))\r\n			\$v=mb_substr(\$v,\$p+1,mb_strlen(\$v,ELEANOR_CHARSET)-\$p-1,ELEANOR_CHARSET);\r\n		if(!Functions::CheckeMail(\$v))\r\n		{\r\n			\$error=''Неправильно указан e-mail адрес (''.\$v.'')!'';\r\n			break;\r\n		}\r\n	}\r\n}\r\n', '', ''),
(139, 'english', 'Do you wanna enable adding receiver?', 'If the check box has been checked than user can select thу receiver of e-mail. Otherwise the letter will be sent to everyone.', '0', '0', '', '', ''),
(140, 'english', 'Messages prefix', '', 'Feedback: ', 'Feedback: ', '', '', ''),

(141, 'english', 'Do you wanna turn on?', 'preview auto creation for uploaded images?', '0', '0', '', '', ''),
(142, 'english', 'File types:', 'Select file types which previews will be created for (using comma).', 'png,jpg,bmp', 'png,jpg,bmp', '', '', ''),
(143, 'english', 'Preview width:', 'In pixels', '200', '200', '\$value=(int)\$value;', '', ''),

(144, 'english', 'Files per page', '', '10', '10', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<=0)\r\n\$error=''Unacceptable value has been entered!'';\r\n}', '', ''),
(145, 'english', 'Files on main page', 'This option will work if module \"files\" will be displayed on the main website page.', '5', '5', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<=0)\r\n\$error=''Unacceptable value has been entered!'';\r\n}', '', ''),
(146, 'english', 'Files per page in RSS', '', '30', '30', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<=0)\r\n\$error=''Unacceptable value has been entered!'';\r\n}', '', ''),
(147, 'english', 'Do you wanna disable cache for main page?', 'Turn off cache for main page.', '0', '0', '', '', ''),
(148, 'english', 'Add files', 'Do you wanna allow users add files?', '1', '1', '', '', ''),
(149, 'english', 'Do you wanna enable upload files to server?', 'If this option is turned on than during adding files users will be able to upload files directly to your server.', '1', '1', '', '', ''),
(150, 'english', 'Do you wanna enable extra fields?', '', '1', '1', '', '', ''),
(151, 'english', 'Temporaly search pause', 'Time in seconds between using search. Enter 0 to turn off options', '30', '30', 'if (\$save)\r\n{\r\n\$value=(int)\$value;\r\nif (\$value<0)\r\n\$error=''Unacceptable value has been entered!'';\r\n}', '', ''),
(152, 'english', 'FURL ending for category', 'Pay attention that this field should begin with non alphabetic symbol only!', '/', '/', 'if (\$save and preg_match(''/^[''.Strings::ALL.'']/i'',\$value)>0) \$error=''This field should begin with non alphabetic symbol only!'';', '', 'FURL'),
(153, 'english', 'FURL ending for files', 'Pay attenton that this field should begin with non alphabetic symbol only and can not be the same as category ending otherwise you will have huge problems!', '.html', '.html', 'if (\$save and preg_match(''/^[''.Strings::ALL.'']/i'',\$value)>0) \$error=''This field should begin with non alphabetic symbol only!'';', '', ''),
(154, 'english', 'Long URL taking to attention all categories', '', '1', '1', '', '', ''),
(155, 'english', 'Enable rating', '', '1', '1', '', '', 'Rating settings'),
(156, 'english', 'Period between votes', 'Period in days after which user will be able to vote again', '3', '3', '', '', ''),
(157, 'english', 'Number of steps in rating', 'Attention! Changing this option will lead you to wrong displaying of files rating which have been voted for already.', '5', '5', '', '', ''),
(158, 'english', 'Rate only during wstching', 'Do you wanna allow rate files only during detailed view?', '', '', '', '', ''),

(159, 'english', 'Votes per page', '', '10', '10', 'if (\$save)\r\n{\r\n\$value=intval(\$value);\r\nif (\$value<=0)\r\n\$error=''Unacceptable value has been entered!'';\r\n}', '', ''),
(160, 'english', 'Votes on main page', 'This error will occur if module \"votes\" will be displayed on website main page.', '5', '5', 'if (\$save)\r\n{\r\n\$value=intval(\$value);\r\nif (\$value<=0)\r\n\$error=''Unacceptable value has been entered!'';\r\n}', '', ''),
(161, 'english', 'Add questionaries', 'Do you wanna allow users add questionaries?', '1', '1', '', '', ''),
(162, 'english', 'Period between votes', 'Period in days after which user is able to vote again', '3', '3', '', '', ''),
(163, 'english', 'FURL ending for category', 'Pay attention that this field should begin with non alphabatic symbols!', '/', '/', 'if (\$save and preg_match(''/^[''.Strings::ALL.'']/i'',\$value)>0) \$error=''Current value should begin with non alphabetic dymbol!'';', '', 'URL'),
(164, 'english', 'FURL ending for votes', 'Pay attenton that this field should begin with non alphabetic symbol only and can not be the same as category ending otherwise you will have huge problems!', '.html', '.html', 'if (\$save and preg_match(''/^[''.Strings::ALL.'']/i'',\$value)>0) \$error=''Current value should begin with non alphabetic dymbol!'';', '', ''),
(165, 'english', 'Long URL taking to attention all categories', '', '1', '1', '', '', ''),

(166, 'english', 'Blogs creation:', '', '1', '1', '', '0=Deny·1=Grant·-1=With administrator check', 'Blogs creation'),
(167, 'english', 'User maximum blog quantity:', '0 - no limits', '0', '', '\$value=(int)\$value;', '', ''),
(168, 'english', 'FURL ending for category:', 'Pay attenton that this field should begin with non alphabetic symbol only!', '/', '/', '', '', 'FURL'),
(169, 'english', 'FURL ending for blog note:', 'Pay attenton that this field should begin with non alphabetic symbol only and cant be the same as category ending otherwise you will have huge problems!	', '.html', '.html', '', '', ''),
(170, 'english', 'Default content quantity:', 'Blog notes quantity during query for exact date, number of notes and so on', '10', '10', '\$value=(int)\$value;', '', 'Displaying'),
(171, 'english', 'Notes quantity on the main page:', 'This option will work if module \"blogs\" will be displayed on the main page.', '5', '5', '\$value=(int)\$value;', '', ''),
(172, 'english', 'Users pages quantity:', 'During blog correction/deleting users can select on their own how many blog notes they wanna see. Enter with comma without blanks.', '10,15,20,25,30', '10,15,20,25,30', 'if(\$save)\r\n{\r\n   \$value=Strings::CleanForExplode(\$value);\r\n   if(preg_match(''#^[\\d,]+\$#'',\$value)==0)\r\n        \$error=''Invalid filling!'';\r\n}', '', ''),
(173, 'english', 'Notes per page in RSS:', '', '30', '30', '', '', ''),
(174, 'english', 'Enable rating:', '', '1', '1', '', '', 'Rating'),
(175, 'english', 'Period between votes:', 'Period in days after which user can vote again', '3', '3', '', '', ''),
(176, 'english', 'Number of steps in rating:', 'Attention! Changing this option will lead to wrong displaying of rating for those news that have been voted for already', '5', '5', '', '', ''),
(177, 'english', 'Rate during watching only?', 'Do you wanna allow rate news during detailed view only?', '0', '0', '', '', ''),
(178, 'english', 'Temporaly search pause', 'Time in seconds between using search. Enter 0 to turn off options', '30', '30', '', '', '')";

if(in_array('persian',$languages))
	$insert['config_groups_l(farsi)']="INSERT INTO `{$prefix}config_groups_l` VALUES
(1, 'persian', 'تنظیمات اصلی', 'تنظیمات اصلی سایت'),
(2, 'persian', 'کوکی', 'کوکی ها. معبر, دامنه ها.'),
(3, 'persian', 'مهمان ها و بوتر های جستجوگر', 'تنظیمات برای موتورهای جستجوگر'),
(4, 'persian', 'تنظیمات موقعیت', 'تنظیم مکان, منطقه زمانی, غیره...'),
(5, 'persian', 'حساب کاربری و سیستمی', 'تنظیم سیستم از طرف حساب کاربری, جلسات, ورود و ثبت نام کاربران.'),
(6, 'persian', 'امنیت و قفل کردن', 'قفل کردن, ایمیل, ICQ, غیره...'),
(7, 'persian', 'خطاها و وقایع ثبت شده', 'تنظیمات برای ثبت وقایع و انواع خطا ها'),
(8, 'persian', 'ارسال کننده ایمیل', 'تنطیمات ارسال نامه ها'),
(9, 'persian', 'ویرایشگر', 'تنظیمات ویرایشگر'),
(10, 'persian', 'RSS منبع', 'تنظیمات اصلی RSS در سایت شما.'),
(11, 'persian', 'ثبت نام کننده و پروفایل ها', 'تنظیمات کاربران ثبت نام کننده و پروفایل.'),
(12, 'persian', 'مدیریت لیسانس', 'تنظیمات لیسانس برای سایت شما'),
(13, 'persian', 'نظرات', ''),
(14, 'persian', 'تنظیمات ماژول \"اخبار\"', ''),
(15, 'persian', 'تنظیمات ماژول \"سوال و جواب\"', ''),
(16, 'persian', 'ماژول \"صفحات اضافی\"', ''),
(17, 'persian', 'ماژول \"بازخورد\"', ''),
(18, 'persian', 'ماژول \"فایل ها\"', ''),
(19, 'persian', 'ماژول \"نظر سنجی\"', ''),
(20, 'persian', 'ماژول \"بلاگ ها\"', ''),
(21, 'persian', 'عملیات با فایلها', 'تنظیم عملیات فایل ها'),
(22, 'persian', 'ماژول \"فروشگاه\"', '')";

if(in_array('english',$languages))
	$insert['config_groups_l(eng)']="INSERT INTO `{$prefix}config_groups_l` VALUES
(1, 'english', 'Main settings', 'Main settings site'),
(2, 'english', 'Cookies', 'Cookies. Pathways, domains.'),
(3, 'english', 'Guests and search engine bots', 'Setting options for for guests and search engine bots'),
(4, 'english', 'Regional settings', 'Setting the locale, time zone, etc...'),
(5, 'english', 'Users and system accounts', 'Setting system of accounts, sessions, login and user registration.'),
(6, 'english', 'Security & Lock', 'Blocking nicks, e-mail, ICQ, etc...'),
(7, 'english', 'Errors and logging', 'There configured conclusion errors and their logging'),
(8, 'english', 'Mailer', 'Settings sending letters'),
(9, 'english', 'Editor', 'Settings editor'),
(10, 'english', 'RSS feeds', 'General options RSS feeds to your site'),
(11, 'english', 'Registration and profile', 'Settings user registration and options profile.'),
(12, 'english', 'License management', 'Setting license for the your site'),
(13, 'english', 'Comments', ''),
(14, 'english', 'Settings module \"News\"', ''),
(15, 'english', 'Settings module \"Frequently asked question(s)\"', ''),
(16, 'english', 'Module \"Static pages\"', ''),
(17, 'english', 'Module \"Feedback\"', ''),
(18, 'english', 'Module \"Files\"', ''),
(19, 'english', 'Module \"Voting\"', ''),
(20, 'english', 'Module \"Blogs\"', ''),
(21, 'english', 'Operations with files', 'Setting file operations'),
(22, 'english', 'Module \"shop\"', '')";

$insert['errors']="INSERT INTO `{$prefix}errors` VALUES
(1, '404', '404', 'warning.png', '', 0),
(2, '403', '403', 'hand.png', '', 0)";

if(in_array('persian',$languages))
	$insert['errors_l(farsi)']="INSERT INTO `{$prefix}errors_l` VALUES
(1, 'persian', 'این صفحه وجود ندارد!', ' متاسفانه این صفحه در سایت وجود ندارد'),
(2, 'persian', 'غیر قابل دسترسی!', 'شما دسترسی لازم برای مشاهده این صفحه را ندارید !')";

if(in_array('english',$languages))
	$insert['errors_l(eng)']="INSERT INTO `{$prefix}errors_l` VALUES
(1, 'english', 'Page not found!&#33;', ''),
(2, 'english', 'Access denied!', 'You havent permisson to visit this page!')";

$insert['mainpage']="INSERT INTO `{$prefix}mainpage` VALUES (1, 1, 0)";

$insert['menu']="INSERT INTO `{$prefix}menu` VALUES
(1, '', '', '', '', 0, 0, 1, 1, 1, 20),
(2, '', 'index.html', '\$Mainclass->Url->ConstructUrl(array(),false);', '', 0, 1, 1, 1, 2, 3),
(3, '', 'faq.html', '\$Mainclass->Url->DynamicBegin().\$Mainclass->Url->ConstructUrl(array(\'module\'=>\'faq\'),false);', '', 1, 1, 1, 1, 4, 5),
(4, '', 'shop.html', '\$Mainclass->Url->DynamicBegin().\$Mainclass->Url->ConstructUrl(array(\'module\'=>\'shop\'),false);', '', 3, 1, 1, 1, 6, 7),
(5, '', 'news.html', '\$Mainclass->Url->DynamicBegin().\$Mainclass->Url->ConstructUrl(array(\'module\'=>\'news\'),false);', '', 2, 1, 1, 1, 8, 9),
(6, '', 'files.html', '\$Mainclass->Url->DynamicBegin().\$Mainclass->Url->ConstructUrl(array(\'module\'=>\'files\'),false);', '', 2, 1, 1, 1, 10, 11),
(7, '', 'contacts.html', '\$Mainclass->Url->DynamicBegin().\$Mainclass->Url->ConstructUrl(array(\'module\'=>\'contacts\'),false);', '', 2, 1, 1, 1, 12, 13),
(8, '', '', '', '', 1, 0, 0, 1, 21, 26),
(9, '', 'http://forum.eleanor-cms.ir/', '', '', 0, 8, 1, 1, 22, 23),
(10, '', 'http://eleanor-cms.ir', '', '', 1, 8, 1, 1, 24, 25),
(11, '', 'search.html', '\$Mainclass->Url->DynamicBegin().\$Mainclass->Url->ConstructUrl(array(\'module\'=>\'search\'),false);', '', 4, 1, 1, 1, 14, 15),
(12, '', 'voting.html', '\$Mainclass->Url->DynamicBegin().\$Mainclass->Url->ConstructUrl(array(\'module\'=>\'voting\'),false);', '', 5, 1, 1, 1, 16, 17),
(13, '', 'blogs.html', '\$Mainclass->Url->DynamicBegin().\$Mainclass->Url->ConstructUrl(array(\'module\'=>\'blogs\'),false);', '', 5, 1, 1, 1, 28, 19)";

if(in_array('persian',$languages))
	$insert['menu_l(farsi)']="INSERT INTO `{$prefix}menu_l` VALUES
(1, 'persian', 'منوی بالا', ''),
(2, 'persian', 'خانه', ''),
(3, 'persian', 'سوالات متداول', 'سوال و جواب ها'),
(4, 'persian', 'فروشگاه', ''),
(5, 'persian', 'اخبار', ''),
(6, 'persian', 'فایل ها', ''),
(7, 'persian', 'تماس ها', ''),
(8, 'persian', 'بلوک منو', ''),
(9, 'persian', 'انجمن های پشتیبانی', ''),
(10, 'persian', 'سایت پشتیبانی', ''),
(11, 'persian', 'جستجو', ''),
(12, 'persian', 'نظر سنجی', ''),
(13, 'persian', 'بلاگ ها', '')";

if(in_array('english',$languages))
	$insert['menu_l(eng)']="INSERT INTO `{$prefix}menu_l` VALUES
(1, 'english', 'Top Menu', ''),
(2, 'english', 'Home', ''),
(3, 'english', 'FAQ', 'Frequently Asked Questions'),
(4, 'english', 'Shop', ''),
(5, 'english', 'News', ''),
(6, 'english', 'Files', ''),
(7, 'english', 'Contacts', ''),
(8, 'english', 'Block menu', ''),
(9, 'english', 'Official support forum', ''),
(10, 'english', 'Official site', ''),
(11, 'english', 'Search', ''),
(12, 'english', 'Voting', ''),
(13, 'english', 'Blogs', '')";

$insert['news']="INSERT INTO `{$prefix}news` VALUES
(1, 'eleanor-cms', '', 1, '".jdate('Y-m-d H:i:s')."', '', 'مدیریت', 1, 1, 1, 5, 1, 1, 0, 0, 1, '', '', 1, '', '0')";

$insert['news_categories']="INSERT INTO `{$prefix}news_categories` VALUES (1, 'جدیدترین موضوعات', 'images/categories/bomb.png', 0, 0, 0, '', 0)";

if(in_array('persian',$languages))
	$insert['news_categories_l(farsi)']="INSERT INTO `{$prefix}news_categories_l` VALUES (1, 'persian', 'خبر های ما', 'اخبار از موضوعات جدید')";
if(in_array('english',$languages))
	$insert['news_categories_l(eng)']="INSERT INTO `{$prefix}news_categories_l` VALUES (1, 'english', 'Our news', 'News test category')";

$insert['news_l(farsi)']="INSERT INTO `{$prefix}news_l` VALUES
(1, 'persian', 'مدیریت محتوای الینور فارسی، نسخه: ".ELEANOR_VERSION."', '<br /><b>به مدیریت محتوای الینور فارسی خوش آمدید !</b><br />
با سلام خدمت کاربران گرامي؛<br />
ورود شما را به جمع کاربران سیستم الینور تبریک میگوئیم , سیستم مدیریتی محتوای الینور یکی از قدرتمندترین سیستم هایی است که به تازگی به جمع سیستم های دیگر پیوسته و از نظر اینکه برای خود سیستمی بسیار متفاوت و شگفت انگیز میباشد شکی نخواهد بود! برای کسب اطلاعات بیشتر میتوانید از وبسایت و انجمن های الینور بازدید کنید.<br />با تشکر.</A><br />
<br /><div align=center>
وب سایت : <a href=http://eleanor-cms.ir>Www.Eleanor-Cms.IR</a> <br />
انجمن : <a href=http://forum.Eleanor-cms.ir>Www.Forum.Eleanor-Cms.IR</a></div>')";if(in_array('english',$languages))
$insert['news_l(eng)']="INSERT INTO `{$prefix}news_l` VALUES
(1, 'english', 'Persian Eleanor CMS, Version: ".ELEANOR_VERSION."', '<br /><div align=left>Welcome To Eleanor ® CMS ™ Persian Mode  !<br />
We hope that with the help of CMS Eleanor, you can create a successful website.<br />
The latest version of Eleanor CMS you can always download from official site.</A><br /></div>
<br /><div align=center>
WebSite : <a href=http://eleanor-cms.ir>Www.Eleanor-Cms.IR</a> <br />
Forums : <a href=http://forum.Eleanor-cms.ir>Www.Forum.Eleanor-Cms.IR</a></div>')";

$insert['own_bbcodes']="INSERT INTO `{$prefix}own_bbcodes` VALUES
(1, 0, 1, 'url', 'href,link', 0, 0, 0, '', '', '', '', '', 0),
(2, 1, 1, 'nobb', '', 0, 1, 0, '', '', '', '', '', 0),
(3, 2, 0, 'code', '', 0, 1, 0, '', 'csel', '', '', '', 1),
(4, 4, 0, 'hide', '', 0, 0, 0, '', '', '', '1,4,2', '', 1),
(5, 5, 0, 'quote', '', 0, 0, 0, '', '', '', '', '', 1),
(6, 6, 1, 'script', '', 0, 1, 0, '', '', '1', '', '', 1),
(7, 7, 1, 'php', '', 0, 1, 0, '', '', '1', '', '', 1),
(8, 8, 1, 'dohtml', '', 0, 1, 0, '', '', '1', '', '', 1),
(9, 9, 1, 'attach', '', 1, 1, 0, '', '', '', '', '', 0),
(10, 3, 0, 'csel', '', 0, 0, 1, '', '', '', '', '', 1),
(11, 10, 0, 'video', '', 0, 1, 0, '', '', '', '', '', 1)";

$insert['services']="INSERT INTO `{$prefix}services` VALUES
(1, 'admin', 'admin.php', 1, 'Audora', 'admin'),
(2, 'user', 'index.php', 2, 'Uniel', 'user'),
(3, 'ajax', 'ajax.php', 1, '', 'admin'),
(4, 'upload', 'upload.php', 2, '', 'admin'),
(5, 'download', 'download.php', 2, '', 'admin'),
(6, 'rss', 'rss.php', 0, '', 'admin')";

$insert['smiles']="INSERT INTO `{$prefix}smiles` VALUES
(NULL, 'images/smiles/smile.png', ':)', 25),
(NULL, 'images/smiles/sleeping.png', ':sleeping:', 24),
(NULL, 'images/smiles/sideways.png', ':sideways:', 23),
(NULL, 'images/smiles/sick.png', ':sick:', 22),
(NULL, 'images/smiles/sad.png', ':sad:', 21),
(NULL, 'images/smiles/pouty.png', ':pouty:', 20),
(NULL, 'images/smiles/policeman.png', ':policeman:', 19),
(NULL, 'images/smiles/pinched.png', ':pinched:', 18),
(NULL, 'images/smiles/ninja.png', ':ninja:', 17),
(NULL, 'images/smiles/love.png', ':love:', 16),
(NULL, 'images/smiles/lol.png', ':lol:', 15),
(NULL, 'images/smiles/kissing.png', ':kissing:', 14),
(NULL, 'images/smiles/joyful.png', ':joyful:', 13),
(NULL, 'images/smiles/heart.png', ':heart:', 12),
(NULL, 'images/smiles/happy.png', ':happy:', 11),
(NULL, 'images/smiles/grin.png', ':D', 10),
(NULL, 'images/smiles/devil.png', ':devil:', 9),
(NULL, 'images/smiles/crying.png', ':crying:', 8),
(NULL, 'images/smiles/cool.png', ':cool:', 7),
(NULL, 'images/smiles/blushing.png', ':blushing:', 6),
(NULL, 'images/smiles/bandit.png', ':bandit:', 5),
(NULL, 'images/smiles/angry.png', ':angry:', 4),
(NULL, 'images/smiles/angel.png', ':angel:', 3),
(NULL, 'images/smiles/andy.png', ':andy:', 2),
(NULL, 'images/smiles/alien.png', ':alien:', 1),
(NULL, 'images/smiles/surprised.png', ':surprised:', 26),
(NULL, 'images/smiles/tongue.png', ':tongue:', 27),
(NULL, 'images/smiles/uncertain.png', ':uncertain:', 28),
(NULL, 'images/smiles/unsure.png', ':unsure:', 29),
(NULL, 'images/smiles/w00t.png', ':w00t:', 30),
(NULL, 'images/smiles/whistling.png', ':whistling:', 31),
(NULL, 'images/smiles/wink.png', ':wink:', 32),
(NULL, 'images/smiles/wizard.png', ':wizard:', 33),
(NULL, 'images/smiles/wondering.png', ':wondering:', 34)";

$insert['voting']="INSERT INTO `{$prefix}voting` VALUES (NULL, 'test', 1, '0·0·0·0·0', '1389-09-01', NULL, 0, 1, 0, 1, 0, 1, ',1,', 0)";
$insert['voting_categories']="INSERT INTO `{$prefix}voting_categories` VALUES (1, 'test', 'images/categories/bomb.png', 0, 0, 1, '', 0)";
if(in_array('persian',$languages))
{
	$insert['voting_categories_l(farsi)']="INSERT INTO `{$prefix}voting_categories_l` VALUES (1, 'persian', 'موضوعات آزمایشی', '')";
	$insert['voting_l(farsi)']="INSERT INTO `{$prefix}voting_l` VALUES (1, 'persian', 'نظر شما درباره سايت؟', '', 'عالي·خوب·متوسط·بد·افتضاح')";
}
if(in_array('english',$languages))
{
	$insert['voting_categories_l(eng)']="INSERT INTO `{$prefix}voting_categories_l` VALUES (1, 'english', 'Test category', '')";
	$insert['voting_l(eng)']="INSERT INTO `{$prefix}voting_l` VALUES (1, 'english', 'What is your opinion about the site?', '', 'Excellent·good·Normal·bad·Very bad')";
}
$insert['upgrade_hist']="INSERT INTO `{$prefix}upgrade_hist` VALUES (1, '".ELEANOR_VERSION."', '".date('Y-m-d H:i:s')."', '".ELEANOR_BUILD."', 0, 'Install')";
$insert['counter']="INSERT INTO `{$prefix}counter` VALUES ('0', '0', '0', '')";

?>