<?php
/*
	Copyright © Eleanor CMS
	URL: http://eleanor-cms.ru, http://eleanor-cms.com
	E-mail: support@eleanor-cms.ru
	Developing: Alexander Sunvas*
	Interface: Rumin Sergey
	=====
	*Pseudonym. See addons/copyrights/info.txt for more information.
*/
if(!defined('CMS'))
	die('Hacking attempt!?');
	require "date.php";
if(!isset($Mainclass->lang['shop']))
	$Mainclass->LoadLanguage(dirname(__file__),'shop','lang_user-%');
$m_name='shop';
$ending='.html';
if(false!==$cdate=$Mainclass->GCookie('calendar-files'))
	$cdate=substr(Strings::CheckDate($cdate.'-01'),0,7);
else
	$cdate=jdate('Y-m');
preg_match('#^(\d{4})\D(\d{1,2})$#',$cdate,$matches);
$old_ending=$Mainclass->Url->ending;
$Mainclass->Url->ending=$ending;
$Mainclass->url_pref=$Mainclass->Url->DynamicBegin().$Mainclass->Url->ConstructUrl(array('module'=>$m_name),false,false).$Mainclass->Url->GetDel();
$content='<script type="text/javascript" src="js/block_calendar.js"></script>'.shopCalendar($matches[1],$matches[2],GetshopDates($matches[1],$matches[2]),$id=uniqid('cf_'))
		.'<script type="text/javascript">var '.$id.'=new Calendar("'.$m_name.'","'.$matches[1].'","'.$matches[2].'","calendar_shop","'.$id.'")</script>';
$Mainclass->Url->ending=$old_ending;

function GetshopDates($y,$m)
{global $Mainclass;
	$y=(int)$y;
	$m=(int)$m;
	$dates=$Mainclass->Cache->Get('calendar_shop_'.$y.'_'.$m,false);
	if($dates===false)
	{
		$m=str_pad($m,2,'0',STR_PAD_LEFT);
		$dates=array();
		$Mainclass->Db->Query('SELECT `date`, COUNT(`id`) FROM `prefix_shop` WHERE `date` LIKE \''.$y.'-'.$m.'%\' AND `status`=1 GROUP BY DAY(`date`)',__file__,__line__);
		while($arr=$Mainclass->Db->Fetch_row())
			$dates[str_replace('-','',substr($arr[0],0,10))]=$arr[1];
		$Mainclass->Cache->Put('calendar_shop_'.$y.'_'.$m,$dates,3600,false);
	}
	return $dates;
}

function shopCalendar($y,$m,$dates,$id)
{global $Mainclass;
	$tday=jdate('j');
	$tmon=($y==jdate('Y') and $m==jdate('m'));
	$calendar=Functions::BuildCalendar($y,$m,false);
	$content='<div class="blockcalendar" id="calendar_shop">
	<div class="month"><h4>'.Strings::UcFirst(Strings::HumanDate($y.'-'.$m)).'</h4>
	<span class="selyears"><a href="#" onclick="return '.$id.'.SubYear();"><img src="'.$Mainclass->Template->GetImage('engine/year_minus.png').'" alt="'.$Mainclass->lang['shop']['year-'].'" title="'.$Mainclass->lang['shop']['year-'].'" /></a><a href="#" onclick="return '.$id.'.AddYear();"><img src="'.$Mainclass->Template->GetImage('engine/year_plus.png').'" alt="'.$Mainclass->lang['shop']['year+'].'" title="'.$Mainclass->lang['shop']['year+'].'" /></a></span>
	<div class="clr"></div></div><table border="0" cellpadding="0" cellspacing="0">
	<tr class="c_days"><td class="vday">'.$Mainclass->lang['shop']['mon'].'</td><td>'.$Mainclass->lang['shop']['tue'].'</td><td>'.$Mainclass->lang['shop']['wed'].'</td><td>'.$Mainclass->lang['shop']['thu'].'</td><td>'.$Mainclass->lang['shop']['fri'].'</td><td>'.$Mainclass->lang['shop']['sat'].'</td><td>'.$Mainclass->lang['shop']['sun'].'</td></tr>';
	$cnt=0;
	foreach($calendar as $week)
	{
		$content.='<tr>';
		foreach($week as $k=>$day)
		{
			$cl=($tmon and $day==$tday) ? 'today' : '';
			if($k==0)
				$cl=$cl ? 'tovday' : 'vday';
			if($day)
			{
				$day=sprintf('%02d',$day);
				if(!empty($dates[$y.$m.$day]))
					$cnt+=$dates[$y.$m.$day];
				$value=empty($dates[$y.$m.$day])
						? $day
						: '<a href="'.$Mainclass->url_pref.$Mainclass->Url->ConstructUrl(array(array('date'=>$y.'-'.$m.'-'.$day)),false)
						.'" title="'.$dates[$y.$m.$day].$Mainclass->lang['shop']['_shop'].'">'.$day.'</a>';
			}
			$content.='<td'.($cl ? ' class="'.$cl.'"' : '').'>'.($day ? $value : '&nbsp;').'</td>';
		}
		$content.='</tr>';
	}
	$p_m=$n_m=$m;
	$p_y=$n_y=$y;
	if($n_m==12)
	{
		$n_y++;
		$n_m=1;
	}
	else
		$n_m++;
	if($p_m==1)
	{
		$p_y--;
		$p_m=12;
	}
	else
		$p_m--;
	$n=Strings::UcFirst(Strings::HumanDate(array('y'=>$n_y,'m'=>$n_m)));
	$p=Strings::UcFirst(Strings::HumanDate(array('y'=>$p_y,'m'=>$p_m)));
	$n=substr($n,0,strpos($n,' '));
	$p=substr($p,0,strpos($p,' '));
	$status=$cnt>0 ?  '<a href="'.$Mainclass->url_pref.$Mainclass->Url->ConstructUrl(array(array('date'=>$y.'-'.$m)),false).'">'.$Mainclass->lang['shop']['total'].$cnt.$Mainclass->lang['shop']['_shop'].'</a>' : $Mainclass->lang['shop']['no_per_shop'];
	$content.='</table>
	<div class="arrows"><a class="arrowleft" href="#" onclick="return '.$id.'.SubMonth();">'.$p.'</a><a class="arrowright" href="#" onclick="return '.$id.'.AddMonth();">'.$n.'</a><hr /></div>
	<div align="center">'.$status.'</div>
	</div>';
	return $content;
}
?>