<?php
/*
	Copyright © Eleanor CMS
	URL: http://eleanor-cms.ru, http://eleanor-cms.com
	E-mail: support@eleanor-cms.ru
	Developing: Alexander Sunvas*
	Interface: Rumin Sergey
	=====
	*Pseudonym. See addons/copyrights/info.txt for more information.
*/
if (!defined('CMS'))
	die('Hacking attempt!?');
$class_name='Module_shop_plugins_v1';
if (!class_exists($class_name,false))
{
	class Module_shop_plugins_v1 extends BaseClass
	{
		static $abilities=array(
									'splinter',
									'sitemap',
									'qmenu',#Quick menu
		);

		public function GetQmenu($options=false,$id=false,$module='')
		{
			if(!$module)
				$module='shop';
			
			if($options)
			{
				$arr=array(
								'1',
								'2',
				);
				if($id!==false)
					return isset($arr[$id]) ? $arr[$id] : false;
				else
					return $arr;
			}
			else
				switch($id)
				{
					case 0:
						return $this->Mainclass->admin_prefix.$this->Mainclass->Url->GetDel().$this->Mainclass->Url->ConstructUrl(array('module'=>$module,'do'=>'add'),false);
					break;
					case 1:
						return $this->Mainclass->admin_prefix.$this->Mainclass->Url->GetDel().$this->Mainclass->Url->ConstructUrl(array('module'=>$module,'do'=>'news'),false);
					break;
					default:
						return false;
				}
		}

		public function GetSplinter()
		{
			return array(
							'user'=>array(
											'cid'		=>array('شناسه','i'),
											'shop'		=>array('محصول','i'),
											'add'		=>array('افزودن محصول','s'),
											'categories'=>array('موضوعات','s'),
											'main'		=>array('اصلی','s'),
											'search'	=>array('جستجو','s'),
											'results'	=>array('نتایج جستجو','s'),
							)
			);
		}

		public function DoSitemap($per_time,$sdata)
		{
			if(!$sdata)
				$sdata=array(
								'sdata'=>false,
								'offset_cats'=>0,
								'cats_fin'=>false,
								'offset'=>0,
				);
			$config['shop_priority']=0.7;
			$config['categories_priority']=0.5;
			$config['others_priority']=0.5;
			$this->Mainclass->LoadOptions('module_files',false);
			if(!$sdata['sdata'])
			{
				Sitemap($this->Mainclass->SUrl->ConstructUrl(array('do'=>'add')),'','never',$config['others_priority']);
				Sitemap($this->Mainclass->SUrl->Prefix(false,true,true),'','always',$config['shop_priority']);
				Sitemap($this->Mainclass->SUrl->ConstructUrl(array('do'=>'categories')),'','never',$config['categories_priority']);
				$sdata['sdata']=true;
			}
			#$bg=(int)$this->Mainclass->vars['bot_group'];
			$this->Mainclass->LoadClass('classes/others/class_categories_l.php');
			$this->Mainclass->Categories_l->long_url=$this->Mainclass->vars['m_files_long_url'];
			$this->Mainclass->Categories_l->url_ending=$this->Mainclass->vars['m_files_category_ending'];
			$this->Mainclass->Categories_l->Url=&$this->Mainclass->SUrl;
			if(!$sdata['cats_fin'])
			{
				$this->Mainclass->SUrl->ending=$this->Mainclass->vars['m_files_category_ending'];
				$result=$this->Mainclass->Db->Query('SELECT c.`id`, COUNT(f.`id`) AS `cnt` FROM `prefix_shop_categories` AS `c` INNER JOIN `prefix_shop` AS `f` ON f.`main_cat`=c.`id` GROUP BY c.`id`',__file__,__line__);# WHERE f.`status`=1 AND (f.`groups`=\'\' OR f.`groups` LIKE \'%,'.$bg.',%\')
				$nums=$this->Mainclass->Db->Num_rows();
				if($nums==0 or $nums<$per_time)
					$sdata['cats_fin']=true;
				$sdata['offset_cats']+=$nums;
				while($arr=$this->Mainclass->Db->Fetch_assoc($result))
				{
					$arr['cnt']=ceil($arr['cnt']/$this->Mainclass->vars['m_files_per_page']);
					if ($arr['cnt']>1)
						for($i=1;$i<=$arr['cnt'];$i++)
							Sitemap($this->Mainclass->Categories_l->CategoryUrl($arr['id'],'shop_categories','',false).$this->Mainclass->SUrl->ConstructUrl(array(array('page'=>$i)),false),'','monthly',$config['categories_priority']);
					else
						Sitemap($this->Mainclass->Categories_l->CategoryUrl($arr['id'],'shop_categories'),'','monthly',$config['categories_priority']);
				}
			}
			if($sdata['cats_fin'])
			{
				$this->Mainclass->SUrl->ending=$this->Mainclass->vars['m_files_ending'];
				$result=$this->Mainclass->Db->Query('SELECT `id`, `main_cat`,`url`, `date` FROM `prefix_shop` WHERE `status`=1 AND `date`<=NOW() LIMIT '.$sdata['offset'].','.$per_time,__file__,__line__);# AND (`groups`=\'\' OR `groups` LIKE \'%,'.$bg.',%\')
				$sdata['offset']+=$this->Mainclass->Db->Num_rows();
				while($arr=$this->Mainclass->Db->Fetch_assoc($result))
				{
					$url=($this->Mainclass->vars['m_files_long_url'] ? $this->Mainclass->Categories_l->CategoryUrl($arr['main_cat'],'shop_categories','',false) : '').$this->Mainclass->SUrl->ConstructUrl(array(array($arr['url'],'fid'=>$arr['id'])),!$this->Mainclass->vars['m_files_long_url']);
					Sitemap($url,substr($arr['date'],0,10),'monthly',$config['shop_priority']);
				}
			}
			return $sdata;
		}
	}
}
?>