<?php
/*
	Copyright © Eleanor CMS
	URL: http://eleanor-cms.ru, http://eleanor-cms.com
	E-mail: support@eleanor-cms.ru
	Developing: Alexander Sunvas*
	Interface: Rumin Sergey
	=====
	*Pseudonym. See addons/copyrights/info.txt for more information.
*/
if(!defined('CMS'))
	die('Попытка взлома?');
$class_name='Module_voting_plugins_v1';
if(!class_exists($class_name,false))
{
	class Module_voting_plugins_v1 extends BaseClass
	{
		static $abilities=array(
									'splinter',
									'sitemap',
									'qmenu',#Quick menu
		);

		public function GetQmenu($options=false,$id=false,$module='')
		{
			if(!$module)
				$module='voting';
			#Загружаем опции
			if($options)
			{
				$arr=array(
								'اضافه کردن نظر سنجی',
								'نظر سنجی',
				);
				if($id!==false)
					return isset($arr[$id]) ? $arr[$id] : false;
				else
					return $arr;
			}
			else
				switch($id)
				{
					case 0:
						return $this->Mainclass->admin_prefix.$this->Mainclass->Url->GetDel().$this->Mainclass->Url->ConstructUrl(array('module'=>$module,'do'=>'add'),false);
					break;
					case 1:
						return $this->Mainclass->admin_prefix.$this->Mainclass->Url->GetDel().$this->Mainclass->Url->ConstructUrl(array('module'=>$module,'do'=>'news'),false);
					break;
					default:
						return false;
				}
		}

		public function GetSplinter()
		{
			return array(
					'user'=>array(
									'cid'		=>array('رده','i'),
									'vote'		=>array('رای','i'),
									'add'		=>array('اضافه کردن نظرسنجی','s'),
									'categories'=>array('رده های صفحه اصلی','s'),
									'main'		=>array('صفحه اصلی','s'),
					)
			);
		}

		public function DoSitemap($per_time,$sdata)
		{
			if(!$sdata)
				$sdata=array(
								'sdata'=>false,
								'offset_cats'=>0,
								'cats_fin'=>false,
								'offset'=>0,
				);
			$config['voting_priority']=0.7;#Приоритет файлов
			$config['categories_priority']=0.5;#Приоритет категорий
			$config['others_priority']=0.5;#Приоритет всего остального
			$this->Mainclass->LoadOptions('module_voting',false);
			if(!$sdata['sdata'])
			{
				Sitemap($this->Mainclass->SUrl->ConstructUrl(array('do'=>'add')),'','never',$config['others_priority']);
				Sitemap($this->Mainclass->SUrl->Prefix(false,true,true),'','always',$config['voting_priority']);
				Sitemap($this->Mainclass->SUrl->ConstructUrl(array('do'=>'categories')),'','never',$config['categories_priority']);
				$sdata['sdata']=true;
			}
			$this->Mainclass->LoadClass('classes/others/class_categories_l.php');
			$this->Mainclass->Categories_l->long_url=$this->Mainclass->vars['m_voting_long_url'];
			$this->Mainclass->Categories_l->url_ending=$this->Mainclass->vars['m_voting_category_ending'];
			$this->Mainclass->Categories_l->Url=&$this->Mainclass->SUrl;
			if(!$sdata['cats_fin'])
			{
				$this->Mainclass->SUrl->ending=$this->Mainclass->vars['m_voting_category_ending'];
				$result=$this->Mainclass->Db->Query('SELECT `c`.`id`,COUNT(`v`.`id`) `cnt` FROM `prefix_voting_categories` `c` INNER JOIN `prefix_voting` `v` ON v.`cid`=c.`id` WHERE v.`status`=1 GROUP BY c.`id` LIMIT '.$sdata['offset_cats'].','.$per_time,__file__,__line__);
				$nums=$this->Mainclass->Db->Num_rows();
				if($nums==0 or $nums<$per_time)
					$sdata['cats_fin']=true;
				$sdata['offset_cats']+=$nums;
				while($arr=$this->Mainclass->Db->Fetch_assoc($result))
				{
					$arr['cnt']=ceil($arr['cnt']/$this->Mainclass->vars['m_voting_per_page']);
					if($arr['cnt']>1)
						for($i=1;$i<=$arr['cnt'];$i++)
							Sitemap($this->Mainclass->Categories_l->CategoryUrl($arr['id'],'voting_categories','',false).$this->Mainclass->SUrl->ConstructUrl(array(array('page'=>$i)),false),'','monthly',$config['categories_priority']);
					else
						Sitemap($this->Mainclass->Categories_l->CategoryUrl($arr['id'],'voting_categories'),'','monthly',$config['categories_priority']);
				}
			}
			if($sdata['cats_fin'])
			{
				$this->Mainclass->SUrl->ending=$this->Mainclass->vars['m_voting_ending'];
				$result=$this->Mainclass->Db->Query('SELECT `id`,`cid`,`url`,`date` FROM `prefix_voting` WHERE `status`=1 LIMIT '.$sdata['offset'].','.$per_time,__file__,__line__);
				$sdata['offset']+=$this->Mainclass->Db->Num_rows();
				while($arr=$this->Mainclass->Db->Fetch_assoc($result))
				{
					$url=($this->Mainclass->vars['m_voting_long_url'] ? $this->Mainclass->Categories_l->CategoryUrl($arr['cid'],'voting_categories','',false) : '').$this->Mainclass->SUrl->ConstructUrl(array(array($arr['url'],'vid'=>$arr['id'])),!$this->Mainclass->vars['m_voting_long_url']);
					Sitemap($url,$arr['date'],'monthly',$config['voting_priority']);
				}
			}
			return $sdata;
		}
	}
}
?>