<?php
/*
	Copyright © Eleanor CMS
	URL: http://eleanor-cms.ru, http://eleanor-cms.com
	E-mail: support@eleanor-cms.ru
	Developing: Alexander Sunvas*
	Interface: Rumin Sergey
	=====
	*Pseudonym. See addons/copyrights/info.txt for more information.
*/
if (!defined('CMS'))
	die('Попытка взлома?');
$class_name='Module_account_plugins_v1';
if (!class_exists($class_name,false))
{
	class Module_account_plugins_v1 extends BaseClass
	{
		static $abilities=array();
		private $lang;
		/*
			$params - массив со следующими ключами. Любой из них может отсутствовать.
			module - ID модуля.
			value - Идентификатор чего-то там в модуле.
			title - Заголовок закладки
			descr - Описание
			href - Ссылка заклдки
			imp - Важность (от 1 до 5).
			eval - JS код, который нужно будет выполнить ПОСЛЕ добавления закладки.
		*/
		function __construct(&$Mainclass)
		{
			$this->lang=$Mainclass->LoadLanguage(dirname(__file__),'','lang_user-%');
		}

		public function BookmarkGetAddAjax($params=array(),$container='bookmark_params')
		{
			$params+=array(
							'module'=>0,
							'title'=>'',
							'descr'=>'',
							'href'=>'',
							'eval'=>'',
							'imp'=>1,
							'value'=>'',
			);
			$t=range(1,5);
			$imp='';
			foreach($t as &$v)
				$imp.=Template::Option($v,'',$v==$params['imp']);
			return '<form method="post" action="" onsubmit="return AddBookMark(\''.str_replace(array('\'','"'),array('\\\'','&quot;'),$params['eval']).'\')"><table class="formeditor"><tr class="infolabel"><td colspan="3">'.$this->lang['add_bookmark'].'</td></tr>
			<tr><td class="label">'.$this->lang['link_tit'].'<span class="impfields">*</span></td><td>'.Template::Edit('bookmark_title',$params['title'],'id="bookmark_title"').'</td></tr>
			<tr><td class="label">'.$this->lang['descr'].'</td><td>'.Template::Text('bookmark_descr',$params['descr'],'id="bookmark_descr"').'</td></tr>
			<tr><td class="label">'.$this->lang['link'].'<span class="impfields">*</span></td><td>'.Template::Edit('bookmark_href',$params['href'],'id="bookmark_href"').'</td></tr>
			<tr><td class="label">'.$this->lang['imp'].'</td><td>'.Template::Select('bookmark_imp',$imp,'id="bookmark_imp"').'</td></tr>
			<tr><td></td><td>'.Template::Control('bookmark_module','hidden',$params['module'],'id="bookmark_module"').Template::Control('bookmark_value','hidden',$params['value'],'id="bookmark_value"').Template::Button($this->lang['add']).' '.Template::Button($this->Mainclass->lang['main']['cancel'],'button','onclick="Id(\''.$container.'\').style.display=\'none\'"').'</td></tr></table></form>';
		}
	}
}
?>