<?php
/*
	Copyright © Eleanor CMS
	URL: http://eleanor-cms.ru, http://eleanor-cms.com
	E-mail: support@eleanor-cms.ru
	Developing: Alexander Sunvas*
	Interface: Rumin Sergey
	=====
	*Pseudonym. See addons/copyrights/info.txt for more information.
*/
if(!defined('CMS'))
	die('Hacking attempt!?');

#Настройки
$m_name='news';#Название модуля
$limit=10;#Количество месяцев за которые брать архив
$ending='.html';#Окончание УРЛа для модуля "Новости"
#Конец настроек
	require "date.php";

$old_ending=$Mainclass->Url->ending;
$Mainclass->Url->ending=$ending;
$Mainclass->url_pref=$Mainclass->Url->DynamicBegin().$Mainclass->Url->ConstructUrl(array('module'=>$m_name),false,false).$Mainclass->Url->GetDel();
$Mainclass->Url->ending=$old_ending;

$data=$Mainclass->Cache->Get('archive_'.$m_name.'_'.$limit,false);
if($data===false)
{
	$data=array();
	$Mainclass->Db->Query('SELECT EXTRACT(YEAR_MONTH FROM `date`) `q`, COUNT(`id`) FROM `prefix_'.$m_name.'` WHERE `status`=1 GROUP BY `q` ORDER BY `q` DESC LIMIT '.$limit,__file__,__line__);
	while($arr=$Mainclass->Db->Fetch_row())
	$data[$arr[0]]=$arr[1];
	$Mainclass->Cache->Put('archive_'.$m_name.'_'.$limit,$data,3600,false);
}
$content=array();
foreach($data as $k=>$v)
{
	$k=substr_replace($k,'-',4,0);
	$content[]='<a href="'.$Mainclass->url_pref.$Mainclass->Url->ConstructUrl(array(array('date'=>$k)),false).'">'.Strings::UcFirst(Strings::HumanDate($k)).' ('.$v.')</a>';
}
$content=join('<br />',$content);
?>