<?php
/*
	Copyright © Eleanor CMS
	URL: http://eleanor-cms.ru, http://eleanor-cms.com
	E-mail: support@eleanor-cms.ru
	Developing: Alexander Sunvas*
	Interface: Rumin Sergey
	=====
	*Pseudonym. See addons/copyrights/info.txt for more information.
*/
if(!defined('CMS'))
	die('Попытка взлома?');
$class_name='Module_news_plugins_v1';
if(!class_exists($class_name,false))
{
	class Module_news_plugins_v1 extends BaseClass
	{
		static
			$abilities=array(
								'splinter',
								'sitemap',
								'blocks',
								'qmenu',#Quick menu
			);

		public function GetQmenu($options=false,$id=false,$module='')
		{
			if(!$module)
				$module='news';
			#Загружаем опции
			if($options)
			{
				$arr=array(
								'اضافه کردن اخبار',
								'اخبار جدید',
				);
				if($id!==false)
					return isset($arr[$id]) ? $arr[$id] : false;
				else
					return $arr;
			}
			else
				switch($id)
				{
					case 0:
						return $this->Mainclass->admin_prefix.$this->Mainclass->Url->GetDel().$this->Mainclass->Url->ConstructUrl(array('module'=>$module,'do'=>'add'),false);
					break;
					case 1:
						return $this->Mainclass->admin_prefix.$this->Mainclass->Url->GetDel().$this->Mainclass->Url->ConstructUrl(array('module'=>$module,'do'=>'news'),false);
					break;
					default:
						return false;
				}
		}

#Функции, отвечающие за функционал "блоки из плагинов"
		public function GetBlocksOptions(array $params=array(),array $values=array())
		{
			return array(
							'arr'=>array(
											'type'=>array('بلوک:','Select',isset($values['type']) ? $values['type'] : '',array('last'=>'آخرین اخبار','top'=>'بیشتر خواندن اخبار'),'',''),
											'cnt'=>array('شماره:','Edit',isset($values['cnt']) ? (int)$values['cnt'] : 10,'','',''),
							)
			);
		}

		public function GetBlocksContent($options)
		{
			$type=empty($options['type']) ? 'last' : $options['type'];
			$offset=empty($options['cnt']) ? 10 : (int)$options['cnt'];
			$this->Mainclass->LoadOptions('module_news',false);
			$this->Mainclass->LoadClass('classes/others/class_categories_l.php');
			$this->Mainclass->Categories_l->url_ending=$this->Mainclass->vars['m_news_category_ending'];
			$this->Mainclass->Url->ending=$this->Mainclass->vars['m_news_ending'];
			$this->Mainclass->Categories_l->table_name='news_categories';
			$this->Mainclass->Categories_l->Init();
			$this->Mainclass->Categories_l->MakeDump();
			$prefix=$this->Mainclass->Url->Prefix(false,false,false);
			$this->Mainclass->Url->SetPrefix(array('module'=>'news'));
			$ug=$this->Mainclass->Account->GetUserGroups();
			sort($ug,SORT_NUMERIC);
			$ug=' OR `groups` LIKE \'%,'.implode(',%,',$ug).',%\'';
			$result=$this->Mainclass->Db->Query('SELECT `id`, `url`, `main_cat`, `title` FROM `prefix_news` INNER JOIN `prefix_news_l` USING(`id`) WHERE `language` IN (\'\',\''.$this->Mainclass->lang_name.'\') AND `status`=1 AND (`groups`=\'\''.$ug.') ORDER BY `'.($options['type']=='last' ? 'id' : 'reads').'` DESC LIMIT '.$offset,__file__,__line__);
			$content='';
			if($this->Mainclass->Db->Num_rows()>0)
			{
				while($arr=$this->Mainclass->Db->Fetch_assoc($result))
				{
					$url=($this->Mainclass->vars['m_news_long_url'] ? $this->Mainclass->Categories_l->CategoryUrl($arr['main_cat'],'','',false) : '').$this->Mainclass->Url->ConstructUrl(array(array($arr['url'],'nid'=>$arr['id'])),!$this->Mainclass->vars['m_news_long_url']);
					$content.='<li><a href="'.$url.'">'.$arr['title'].'</a></li>';
				}
			}
			$this->Mainclass->Url->SetPrefix($prefix);
			return $content;
		}
#[E] Функции "блоки из плагинов"
		public function GetSplinter()
		{
			return array(
							'user'=>array(
											'cid'=>array('رده','i'),
											'nid'=>array('اخبار','i'),
											'tid'=>array('برچسب','i'),
											'add'=>array('اضافه کردن اخبار','s'),
											'categories'=>array('گروه های صفحه اصلی','s'),
											'main'=>array('صفحه اصلی','s'),
											'search'=>array('جستجو در صفحه','s'),
											'results'=>array('صفحه نتایج جستجو','s'),
							)
			);
		}

		public function DoSitemap($per_time,$sdata)
		{
			if(!$sdata)
				$sdata=array(
								'sdata'=>false,
								'offset_cats'=>0,
								'cats_fin'=>false,
								'offset'=>0,
				);
			$config['news_priority']=0.7;#Приоритет новостей
			$config['categories_priority']=0.5;#Приоритет категорий
			$config['others_priority']=0.5;#Приоритет всего остального
			$this->Mainclass->LoadOptions('module_news',false);
			if(!$sdata['sdata'])
			{
				Sitemap($this->Mainclass->SUrl->ConstructUrl(array('do'=>'add')),'','never',$config['others_priority']);
				Sitemap($this->Mainclass->SUrl->Prefix(false,true,true),'','always',$config['news_priority']);
				Sitemap($this->Mainclass->SUrl->ConstructUrl(array('do'=>'categories')),'','never',$config['categories_priority']);
				Sitemap($this->Mainclass->SUrl->ConstructUrl(array('do'=>'tags')),'','weekly',$config['others_priority']);
				Sitemap($this->Mainclass->SUrl->ConstructUrl(array('do'=>'search')),'','never',$config['others_priority']);
				$sdata['sdata']=true;
			}
			#Уберем проверку, чтобы карта быстрее создавалась. Все-равно это по-сути ничего не меняет...
			#$bg=(int)$this->Mainclass->vars['bot_group'];
			$this->Mainclass->LoadClass('classes/others/class_categories_l.php');
			$this->Mainclass->Categories_l->long_url=$this->Mainclass->vars['m_news_long_url'];
			$this->Mainclass->Categories_l->url_ending=$this->Mainclass->vars['m_news_category_ending'];
			$this->Mainclass->Categories_l->Url=&$this->Mainclass->SUrl;
			if(!$sdata['cats_fin'])
			{
				$this->Mainclass->SUrl->ending=$this->Mainclass->vars['m_news_category_ending'];
				$result=$this->Mainclass->Db->Query('SELECT c.`id`, COUNT(n.`id`) `cnt` FROM `prefix_news_categories` AS `c` INNER JOIN `prefix_news` AS n ON n.`main_cat`=c.`id` GROUP BY c.`id` LIMIT '.$sdata['offset_cats'].','.$per_time,__file__,__line__);#WHERE n.`status`=1 AND (n.`groups`=\'\' OR n.`groups` LIKE \'%,'.$bg.',%\')
				$nums=$this->Mainclass->Db->Num_rows();
				if($nums==0 or $nums<$per_time)
					$sdata['cats_fin']=true;
				$sdata['offset_cats']+=$nums;
				while($arr=$this->Mainclass->Db->Fetch_assoc($result))
				{
					$arr['cnt']=ceil($arr['cnt']/$this->Mainclass->vars['m_news_per_page']);
					if($arr['cnt']>1)
						for($i=1;$i<=$arr['cnt'];$i++)
							Sitemap($this->Mainclass->Categories_l->CategoryUrl($arr['id'],'news_categories','',false).$this->Mainclass->SUrl->ConstructUrl(array(array('page'=>$i)),false),'','monthly',$config['categories_priority']);
					else
						Sitemap($this->Mainclass->Categories_l->CategoryUrl($arr['id'],'news_categories'),'','monthly',$config['categories_priority']);
				}
			}
			if($sdata['cats_fin'])
			{
				$this->Mainclass->SUrl->ending=$this->Mainclass->vars['m_news_ending'];
				$result=$this->Mainclass->Db->Query('SELECT `id`,`main_cat`,`url`,`date` FROM `prefix_news` WHERE `status`=1 LIMIT '.$sdata['offset'].','.$per_time,__file__,__line__);
				$sdata['offset']+=$this->Mainclass->Db->Num_rows();
				while($arr=$this->Mainclass->Db->Fetch_assoc($result))
				{
					$url=($this->Mainclass->vars['m_news_long_url'] ? $this->Mainclass->Categories_l->CategoryUrl($arr['main_cat'],'news_categories','',false) : '').$this->Mainclass->SUrl->ConstructUrl(array(array($arr['url'],'nid'=>$arr['id'])),!$this->Mainclass->vars['m_news_long_url']);
					Sitemap($url,substr($arr['date'],0,10),'monthly',$config['news_priority']);
				}
			}
			return $sdata;
		}
	}
}
?>